/******/ (function() { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ "./src/js/back-end/callout.js":
/*!************************************!*\
  !*** ./src/js/back-end/callout.js ***!
  \************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @wordpress/i18n */ "@wordpress/i18n");
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_i18n__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_compose__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @wordpress/compose */ "@wordpress/compose");
/* harmony import */ var _wordpress_compose__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_compose__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @wordpress/element */ "@wordpress/element");
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _wordpress_block_editor__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @wordpress/block-editor */ "@wordpress/block-editor");
/* harmony import */ var _wordpress_block_editor__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_wordpress_block_editor__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @wordpress/components */ "@wordpress/components");
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var _wordpress_hooks__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @wordpress/hooks */ "@wordpress/hooks");
/* harmony import */ var _wordpress_hooks__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(_wordpress_hooks__WEBPACK_IMPORTED_MODULE_5__);
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }






function addCalloutSettings(settings, name) {
  if (typeof settings.attributes !== "undefined") {
    //adding our settings to just core/paragraph
    if (name == "core/paragraph") {
      settings.attributes = Object.assign(settings.attributes, {
        modifier: {
          type: "string",
          default: "none"
        },
        showCallout: {
          type: "boolean",
          default: false
        },
        media: {
          type: "string",
          default: "upload"
        },
        mediaId: {
          type: "number",
          default: 0
        },
        mediaUrl: {
          type: "string",
          default: ""
        },
        mediaAlt: {
          type: "string",
          default: ""
        },
        calloutText: {
          type: "string",
          default: ""
        },
        isButton: {
          type: "boolean",
          default: false
        },
        buttonText: {
          type: "string",
          default: ""
        },
        linkText: {
          type: "string",
          default: ""
        },
        external: {
          type: "boolean",
          default: false
        },
        youtubeURL: {
          type: "string",
          default: ""
        },
        vimeoURL: {
          type: "string",
          default: ""
        },
        youtubeTitle: {
          type: "string",
          default: ""
        },
        vimeoRatio: {
          type: "string",
          default: "16by9"
        },
        initialWords: {
          type: "string",
          default: "WEST LAFAYETTE, Ind."
        },
        addInitialWords: {
          type: "boolean",
          default: false
        }
      });
    }
  }
  return settings;
}
/**
 * Registering hook name
 * unique name
 * Callback function
 */
(0,_wordpress_hooks__WEBPACK_IMPORTED_MODULE_5__.addFilter)("blocks.registerBlockType", "rkv/callout/attribute", addCalloutSettings);

//applying callout settings to Inspector to all core/paragraphs
const calloutInspectorControls = (0,_wordpress_compose__WEBPACK_IMPORTED_MODULE_1__.createHigherOrderComponent)(BlockEdit => {
  //creating
  return props => {
    const {
      attributes,
      setAttributes
    } = props;
    const {
      modifier,
      showCallout,
      media,
      mediaId,
      mediaUrl,
      mediaAlt,
      calloutText,
      isButton,
      buttonText,
      external,
      linkText,
      youtubeURL,
      youtubeTitle,
      vimeoURL,
      vimeoRatio,
      initialWords,
      addInitialWords
    } = attributes;
    const onSelectMedia = media => {
      setAttributes({
        mediaId: media.id,
        mediaUrl: media.url,
        mediaAlt: media.alt
      });
    };
    const removeMedia = () => {
      setAttributes({
        mediaId: 0,
        mediaUrl: "",
        mediaAlt: ""
      });
    };
    function getVideoId(url) {
      const regExp = /^.*(youtu.be\/|v\/|u\/\w\/|embed\/|watch\?v=|&v=)([^#&?]*).*/;
      const match = url?.match(regExp);
      return match && match[2].length === 11 ? match[2] : null;
    }
    function getVimeoId(url) {
      const regEx = /(https?:\/\/)?(www\.)?(player\.)?vimeo\.com\/?(showcase\/)*([0-9))([a-z]*\/)*([0-9]{6,11})[?]?.*/;
      const match = url?.match(regEx);
      return match && match.length == 7 ? match[6] : null;
    }
    //if block isnt core/paragraph return normal
    if (props.name !== "core/paragraph") {
      return /*#__PURE__*/React.createElement(BlockEdit, props);
    }

    //link external or not
    let mediaURL = mediaUrl;
    if (media === "youtube") {
      const videoId = getVideoId(youtubeURL);
      setAttributes({
        mediaId: 0,
        mediaUrl: "",
        mediaAlt: ""
      });
      mediaURL = `https://img.youtube.com/vi/${videoId}/maxresdefault.jpg`;
    } else if (media === "vimeo") {
      const videoId = getVimeoId(vimeoURL);
      setAttributes({
        mediaId: 0,
        mediaUrl: "",
        mediaAlt: ""
      });
      mediaURL = `https://vumbnail.com/${videoId}.jpg`;
    }
    return /*#__PURE__*/React.createElement(_wordpress_element__WEBPACK_IMPORTED_MODULE_2__.Fragment, null, /*#__PURE__*/React.createElement(_wordpress_block_editor__WEBPACK_IMPORTED_MODULE_3__.InspectorControls, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.PanelBody, {
      title: "Custom Controls"
    }, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.SelectControl, {
      label: "Select a Custom Control",
      help: "Call out can only be applied on a post.",
      value: modifier,
      options: [{
        label: "None",
        value: "none"
      }, {
        label: "Add call out",
        value: "callout"
      }, {
        label: "Add leading text",
        value: "lead"
      }],
      onChange: newModifier => {
        setAttributes({
          modifier: newModifier
        });
        if (newModifier === "callout") {
          setAttributes({
            showCallout: true,
            addInitialWords: false
          });
        } else if (newModifier === "lead") {
          setAttributes({
            addInitialWords: true,
            showCallout: false
          });
        } else {
          setAttributes({
            showCallout: false,
            addInitialWords: false
          });
        }
      }
    })), showCallout && /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.SelectControl, {
      label: "Media Source",
      value: media,
      options: [{
        label: "Image",
        value: "upload"
      }, {
        label: "Youtube",
        value: "youtube"
      }, {
        label: "Vimeo",
        value: "vimeo"
      }],
      onChange: media => {
        setAttributes({
          media
        });
      }
    })), media === "upload" ? /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.PanelRow, null, /*#__PURE__*/React.createElement("div", {
      className: "editor-post-featured-image__container"
    }, /*#__PURE__*/React.createElement(_wordpress_block_editor__WEBPACK_IMPORTED_MODULE_3__.MediaUpload, {
      allowedTypes: ["image"],
      onSelect: onSelectMedia,
      value: mediaId,
      render: _ref => {
        let {
          open
        } = _ref;
        return /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.Button, {
          className: `components-button ${mediaId == 0 ? "editor-post-featured-image__toggle" : "editor-post-featured-image__preview"} `,
          onClick: open
        }, mediaId == 0 && "Choose an Image", mediaId != undefined && /*#__PURE__*/React.createElement("img", {
          src: mediaUrl
        }));
      }
    }), mediaId != 0 && /*#__PURE__*/React.createElement(_wordpress_block_editor__WEBPACK_IMPORTED_MODULE_3__.MediaUploadCheck, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.Button, {
      onClick: removeMedia,
      isPrimary: true,
      style: {
        marginTop: "1rem"
      }
    }, "Remove Image")))) : "", media === "youtube" && /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.TextControl, {
      label: "Add Youtube video URL",
      value: youtubeURL,
      onChange: youtubeURL => setAttributes({
        youtubeURL
      })
    })), media === "vimeo" && /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.TextControl, {
      label: "Add Vimeo video URL",
      value: vimeoURL,
      onChange: vimeoURL => setAttributes({
        vimeoURL
      })
    })), media === "vimeo" && /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.SelectControl, {
      label: "Video aspect ratio",
      value: vimeoRatio,
      options: [{
        label: "16by9",
        value: "16by9"
      }, {
        label: "9by16",
        value: "9by16"
      }, {
        label: "square",
        value: "square"
      }, {
        label: "21by9",
        value: "21by9"
      }],
      onChange: vimeoRatio => {
        setAttributes({
          vimeoRatio
        });
      }
    })), media === "vimeo" ? /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.TextControl, {
      label: "Add video title",
      value: youtubeTitle,
      onChange: youtubeTitle => setAttributes({
        youtubeTitle
      })
    })) : "", /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.TextareaControl, {
      label: "Add Call Out text",
      value: calloutText,
      onChange: calloutText => setAttributes({
        calloutText
      })
    })), /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.ToggleControl, {
      label: "Add Button",
      checked: isButton,
      help: isButton ? "Add buton text" : "Add Button",
      onChange: checkedButton => setAttributes({
        isButton: checkedButton
      })
    }))), showCallout && isButton && /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.TextControl, {
      label: "Link URL",
      type: "url",
      value: linkText,
      onChange: linkText => setAttributes({
        linkText
      })
    })), showCallout && isButton && /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.TextControl, {
      label: "Button Text",
      value: buttonText,
      onChange: buttonText => setAttributes({
        buttonText
      })
    })), showCallout && isButton && /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.CheckboxControl, {
      label: "Open link in new tab?",
      checked: external,
      onChange: () => setAttributes({
        external: !external
      })
    })), addInitialWords ? /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.TextControl, {
      label: "Leading Text",
      value: initialWords,
      onChange: initialWords => setAttributes({
        initialWords
      })
    })) : "")),
    //checking if show callout box is set to true
    showCallout ? /*#__PURE__*/React.createElement("div", {
      className: "purdue-home-callout purdue-callout-preview wp-block"
    }, /*#__PURE__*/React.createElement("div", {
      className: `callout-wrapper${isButton && media === "upload" ? " has-link" : ""}`
    }, mediaURL ? /*#__PURE__*/React.createElement("figure", null, /*#__PURE__*/React.createElement("img", {
      src: mediaURL,
      className: "callout-block-image"
    })) : "", calloutText ? /*#__PURE__*/React.createElement("p", {
      className: "callout__text"
    }, calloutText) : "", isButton ? media === "upload" ? /*#__PURE__*/React.createElement("p", {
      className: `cta-link`
    }, buttonText) : /*#__PURE__*/React.createElement("button", {
      class: "purdue-home-button"
    }, buttonText) : ""), /*#__PURE__*/React.createElement(BlockEdit, props)) : addInitialWords ? /*#__PURE__*/React.createElement("div", _extends({}, (0,_wordpress_block_editor__WEBPACK_IMPORTED_MODULE_3__.useBlockProps)(), {
      className: "purdue-initial-words-wrap"
    }), /*#__PURE__*/React.createElement("p", {
      className: "purdue-initial-words"
    }, initialWords, " - "), /*#__PURE__*/React.createElement(BlockEdit, props)) : /*#__PURE__*/React.createElement(BlockEdit, props));
  };
}, "calloutInspectorControls");
(0,_wordpress_hooks__WEBPACK_IMPORTED_MODULE_5__.addFilter)("editor.BlockEdit", "rkv/callout", calloutInspectorControls);
function calloutSaveProps(element, block, attributes) {
  const {
    modifier,
    showCallout,
    media,
    mediaId,
    mediaUrl,
    mediaAlt,
    calloutText,
    isButton,
    buttonText,
    external,
    linkText,
    youtubeURL,
    youtubeTitle,
    vimeoURL,
    vimeoRatio,
    initialWords,
    addInitialWords
  } = attributes;
  if (block.name === "core/paragraph") {
    return /*#__PURE__*/React.createElement("div", null, element);
  }
  return element;
}
(0,_wordpress_hooks__WEBPACK_IMPORTED_MODULE_5__.addFilter)("blocks.getSaveContent", "rkv/callout/rel", calloutSaveProps);

/***/ }),

/***/ "@wordpress/block-editor":
/*!*************************************!*\
  !*** external ["wp","blockEditor"] ***!
  \*************************************/
/***/ (function(module) {

module.exports = window["wp"]["blockEditor"];

/***/ }),

/***/ "@wordpress/components":
/*!************************************!*\
  !*** external ["wp","components"] ***!
  \************************************/
/***/ (function(module) {

module.exports = window["wp"]["components"];

/***/ }),

/***/ "@wordpress/compose":
/*!*********************************!*\
  !*** external ["wp","compose"] ***!
  \*********************************/
/***/ (function(module) {

module.exports = window["wp"]["compose"];

/***/ }),

/***/ "@wordpress/element":
/*!*********************************!*\
  !*** external ["wp","element"] ***!
  \*********************************/
/***/ (function(module) {

module.exports = window["wp"]["element"];

/***/ }),

/***/ "@wordpress/hooks":
/*!*******************************!*\
  !*** external ["wp","hooks"] ***!
  \*******************************/
/***/ (function(module) {

module.exports = window["wp"]["hooks"];

/***/ }),

/***/ "@wordpress/i18n":
/*!******************************!*\
  !*** external ["wp","i18n"] ***!
  \******************************/
/***/ (function(module) {

module.exports = window["wp"]["i18n"];

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	!function() {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = function(module) {
/******/ 			var getter = module && module.__esModule ?
/******/ 				function() { return module['default']; } :
/******/ 				function() { return module; };
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	!function() {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = function(exports, definition) {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	!function() {
/******/ 		__webpack_require__.o = function(obj, prop) { return Object.prototype.hasOwnProperty.call(obj, prop); }
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	!function() {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = function(exports) {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	}();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// This entry need to be wrapped in an IIFE because it need to be isolated against other entry modules.
!function() {
var __webpack_exports__ = {};
/*!**********************************!*\
  !*** ./src/js/back-end/admin.js ***!
  \**********************************/
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _callout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./callout */ "./src/js/back-end/callout.js");
// import "./addInitialWords"

}();
// This entry need to be wrapped in an IIFE because it need to be isolated against other entry modules.
!function() {
/*!***************************************!*\
  !*** ./src/style/back-end/admin.scss ***!
  \***************************************/
__webpack_require__.r(__webpack_exports__);
// extracted by mini-css-extract-plugin

}();
/******/ })()
;
//# sourceMappingURL=admin.js.map