/******/ (function() { // webpackBootstrap
/******/ 	var __webpack_modules__ = ({

/***/ "./src/js/front-end/accordion.js":
/*!***************************************!*\
  !*** ./src/js/front-end/accordion.js ***!
  \***************************************/
/***/ (function() {

//toggle function

const toggle = e => {
  let clicked = e;
  const width = document.body.clientWidth;
  const checkClassName = (el, term) => {
    return el.classList && [...el.classList].includes(term);
  };
  const getCurrDisplay = el => {
    return window.getComputedStyle(el).getPropertyValue("display");
  };
  switch (true) {
    case checkClassName(clicked, "accordion__heading--footer"):
      // specifically footer accordion so they won't other accordions  d
      document.querySelectorAll(".accordion__heading--footer").forEach(el => {
        const contentId = el.getAttribute("aria-controls");
        let icons = el.querySelectorAll(".accordion__icon");
        let plusIcon;
        let minusIcon;
        if (icons && icons.length > 0) {
          plusIcon = el.querySelector(".accordion__icon__plus");
          minusIcon = el.querySelector(".accordion__icon__minus");
        }
        const content = document.querySelector("#" + contentId);
        const currAttr = getCurrDisplay(content);
        if (el.getAttribute("aria-expanded") && el !== clicked) {
          el.setAttribute("aria-expanded", "false");
          if (content.getAttribute("state-animating") === null) {
            if (plusIcon) {
              showFooter(plusIcon);
            }
            if (minusIcon) {
              hideFooter(minusIcon);
            }
            hideFooter(content);
            content.setAttribute("state-animating", "true");
            content.style.height = content.scrollHeight + "px";
            setTimeout(() => {
              hideFooter(content);
              content.removeAttribute("state-animating");
              content.style.height = 0;
            }, 200);
          }
        } else if (el === clicked) {
          const expanded = clicked.getAttribute("aria-expanded") === "false" ? true : false;
          clicked.setAttribute("aria-expanded", expanded);
          if (currAttr && currAttr !== "none" && content.getAttribute("state-animating") === null) {
            if (icons && icons.length > 0) {
              icons.forEach(icon => {
                if (icon) {
                  swapIcon(icon);
                }
              });
            }
            content.style.height = content.scrollHeight + "px";
            content.setAttribute("state-animating", "true");
            setTimeout(() => {
              content.style.height = 0;
              hideFooter(content);
              content.removeAttribute("state-animating");
            }, 200);
          } else if (content.getAttribute("state-animating") === null) {
            if (icons && icons.length > 0) {
              icons.forEach(icon => {
                if (icon) {
                  swapIcon(icon);
                }
              });
            }
            showFooter(content);
            content.setAttribute("state-animating", "true");
            setTimeout(() => {
              content.removeAttribute("state-animating");
            }, 200);
            content.style.height = content.scrollHeight + "px";
            setTimeout(() => {
              content.style.height = "auto";
            }, 200);
          }
        }
      });
      break;
    case checkClassName(clicked, "accordion__heading"):
      // accordion
      clicked.parentElement.querySelectorAll(".accordion__heading:not(.accordion__heading--footer)").forEach(el => {
        const contentId = el.getAttribute("aria-controls");
        let icons = el.querySelectorAll(".accordion__icon");
        const content = document.querySelector("#" + contentId);
        const currAttr = content.classList.contains("show");
        if (el !== clicked && el !== clicked.parentElement.parentElement.parentElement.parentElement.parentElement.previousElementSibling) {
          if (icons && icons.length > 0) {
            plusIcon = el.querySelector(".accordion__icon__plus");
            minusIcon = el.querySelector(".accordion__icon__minus");
            hideFooter(minusIcon);
            showFooter(plusIcon);
          }
          el.classList.remove("is-open");
          el.setAttribute("aria-expanded", "false");
          hideFooter(content);
        } else if (el === clicked) {
          const expanded = clicked.getAttribute("aria-expanded") === "false" ? true : false;
          clicked.setAttribute("aria-expanded", expanded);
          if (icons && icons.length > 0) {
            icons.forEach(icon => {
              swapIcon(icon);
            });
          }
          if (currAttr) {
            clicked.classList.remove("is-open");
            hideFooter(content);
          } else {
            clicked.classList.add("is-open");
            showFooter(content);
          }
        }
      });
      break;
  }
};

// Hide an footer element
const hideFooter = function (elem) {
  if (elem.classList) {
    elem.classList.add("hide");
    elem.classList.remove("show");
  } else if (elem.nodeName === "svg") {
    if (elem.getAttribute("class").indexOf("hide") <= -1) {
      elem.setAttribute("class", elem.getAttribute("class") + " hide");
    } else if (elem.getAttribute("class").indexOf("show") > -1) {
      elem.setAttribute("class", elem.getAttribute("class").replace("show", ""));
    }
  }
};
// show an footer element
const showFooter = function (elem) {
  if (elem.classList) {
    elem.classList.add("show");
    elem.classList.remove("hide");
  } else if (elem.nodeName === "svg") {
    if (elem.getAttribute("class").indexOf("show") <= -1) {
      elem.setAttribute("class", elem.getAttribute("class") + " show");
    }
    if (elem.getAttribute("class").indexOf("hide") > -1) {
      elem.setAttribute("class", elem.getAttribute("class").replace("hide", ""));
    }
  }
};

//Reset visibility
const resetStyles = function (elems) {
  for (const elem of elems) {
    if ([...elem.classList].includes("dropdown-button")) elem.setAttribute("aria-expanded", "false");
    elem.classList.remove("hide", "show", "selected");
    const relatedMenu = elem.nextElementSibling;
    if (relatedMenu) relatedMenu.classList.remove("hide", "show", "selected");
    elem.removeAttribute("style");
  }
};
//Change element display
const swapIcon = el => {
  const isShow = el.classList.contains("show");
  const isHide = el.classList.contains("hide");
  if (!isHide && !isShow || isShow) {
    hideFooter(el);
  } else {
    showFooter(el);
  }
};
//Collapse at the beginning on small screen
const width = document.body.clientWidth;
const headingButtons = document.querySelectorAll(".accordion__heading--footer");
if (headingButtons.length > 0) {
  headingButtons.forEach(el => {
    if (width < 1024) {
      el.setAttribute("aria-expanded", false);
      el.setAttribute("aria-disabled", false);
    }
  });
}
const assignListeners = () => {
  document.addEventListener("click", event => {
    const e = event.target;
    if (e.classList && e.classList.contains("accordion__heading")) {
      toggle(e);
    }
  });
};

//Reset
window.addEventListener("resize", () => {
  const width = document.body.clientWidth;
  if (headingButtons.length > 0) {
    headingButtons.forEach(el => {
      let content = document.querySelector("#" + el.getAttribute("aria-controls"));
      let icons = el.querySelectorAll(".accordion__icon");
      const currAttr = window.getComputedStyle(content).getPropertyValue("display");
      if (width >= 1024) {
        el.setAttribute("aria-expanded", true);
        el.setAttribute("aria-disabled", true);
        icons.forEach(el => {
          if (el.getAttribute("class").indexOf("hide") > -1) {
            el.setAttribute("class", el.getAttribute("class").replace("hide", ""));
          }
          if (el.getAttribute("class").indexOf("show") > -1) {
            el.setAttribute("class", el.getAttribute("class").replace("show", ""));
          }
        });
        content.classList.remove("hide", "show");
        content.removeAttribute("style");
      } else if (currAttr !== "none") {
        el.setAttribute("aria-expanded", true);
        el.setAttribute("aria-disabled", false);
      } else {
        el.setAttribute("aria-expanded", false);
        el.setAttribute("aria-disabled", false);
      }
    });
  }
});
assignListeners();
const href = window.location.href.replace(location.hash, "");
const links = document.querySelectorAll(".purdue-second-nav a");
if (links.length > 0) {
  links.forEach(link => {
    if (link.href.includes(href)) {
      const hash = link.href.replace(href, "");
      if (hash) {
        link.addEventListener("click", e => {
          const hashClick = document.querySelector(hash);
          if (hashClick) {
            let list = document.getElementById("top-second-menu");
            let title = document.getElementById("top-second-menu-title");
            list.classList.remove("show");
            list.classList.remove("hide");
            title.setAttribute("aria-expanded", "false");
          }
        });
      }
    }
  });
}

/***/ }),

/***/ "./src/js/front-end/app.js":
/*!*********************************!*\
  !*** ./src/js/front-end/app.js ***!
  \*********************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _accordion_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./accordion.js */ "./src/js/front-end/accordion.js");
/* harmony import */ var _accordion_js__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_accordion_js__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _skip_link_focus_fix_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./skip-link-focus-fix.js */ "./src/js/front-end/skip-link-focus-fix.js");
/* harmony import */ var _skip_link_focus_fix_js__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_skip_link_focus_fix_js__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _hideAjaxLoadMoreButton__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./hideAjaxLoadMoreButton */ "./src/js/front-end/hideAjaxLoadMoreButton.js");
/* harmony import */ var _hideAjaxLoadMoreButton__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_hideAjaxLoadMoreButton__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _to_top_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./to-top.js */ "./src/js/front-end/to-top.js");
/* harmony import */ var _to_top_js__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_to_top_js__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _currentPage__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./currentPage */ "./src/js/front-end/currentPage.js");
/* harmony import */ var _currentPage__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(_currentPage__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var _table__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./table */ "./src/js/front-end/table.js");
/* harmony import */ var _table__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(_table__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var _navigation_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./navigation.js */ "./src/js/front-end/navigation.js");
/* harmony import */ var _navigation_js__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(_navigation_js__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var _search_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./search.js */ "./src/js/front-end/search.js");
/* harmony import */ var _search_js__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(_search_js__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var _video_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./video.js */ "./src/js/front-end/video.js");
/* harmony import */ var _video_js__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(_video_js__WEBPACK_IMPORTED_MODULE_8__);
/* harmony import */ var _modal_js__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./modal.js */ "./src/js/front-end/modal.js");
/* harmony import */ var _modal_js__WEBPACK_IMPORTED_MODULE_9___default = /*#__PURE__*/__webpack_require__.n(_modal_js__WEBPACK_IMPORTED_MODULE_9__);
/* harmony import */ var _select_js__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./select.js */ "./src/js/front-end/select.js");
/* harmony import */ var _select_js__WEBPACK_IMPORTED_MODULE_10___default = /*#__PURE__*/__webpack_require__.n(_select_js__WEBPACK_IMPORTED_MODULE_10__);
/* harmony import */ var _slider_js__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ./slider.js */ "./src/js/front-end/slider.js");
//import 'core-js/stable'












//blocks

/***/ }),

/***/ "./src/js/front-end/currentPage.js":
/*!*****************************************!*\
  !*** ./src/js/front-end/currentPage.js ***!
  \*****************************************/
/***/ (function() {

//Highlight current page/folder on top nav

const currentpage = window.location.href;
const topnavs = [...document.querySelectorAll(".menu-items")];
if (topnavs && topnavs.length > 0) {
  topnavs.forEach(topnav => {
    const navbar_items = [...topnav.querySelectorAll("a")];
    if (navbar_items.length > 0) {
      navbar_items.forEach(el => {
        const href = el.getAttribute("href");
        if (currentpage === href) {
          el.classList.add("is-active-page");
          if (el.parentElement.parentElement.classList.contains("navbar-dropdown")) {
            el.parentElement.parentElement.previousElementSibling.classList.add("is-active-page");
          } else if (el.parentElement.parentElement.classList.contains("navbar-dropdown-submenu") && el.parentElement.classList.contains("submenu") && el.parentElement.parentElement.parentElement.parentElement.previousElementSibling) {
            el.parentElement.parentElement.parentElement.parentElement.previousElementSibling.classList.add("is-active-page");
          } else if (el.parentElement.parentElement.classList.contains("navbar-dropdown-submenu") && !el.parentElement.classList.contains("submenu") && el.parentElement.parentElement.parentElement.parentElement.parentElement.parentElement.previousElementSibling) {
            el.parentElement.parentElement.parentElement.parentElement.parentElement.parentElement.previousElementSibling.classList.add("is-active-page");
          }
        }
      });
    }
  });
}

/***/ }),

/***/ "./src/js/front-end/hideAjaxLoadMoreButton.js":
/*!****************************************************!*\
  !*** ./src/js/front-end/hideAjaxLoadMoreButton.js ***!
  \****************************************************/
/***/ (function() {

window.almDone = function () {
  [...document.querySelectorAll('.alm-btn-wrap')].forEach(el => {
    el.style.display = "none";
  });
};
window.almDone();

/***/ }),

/***/ "./src/js/front-end/modal.js":
/*!***********************************!*\
  !*** ./src/js/front-end/modal.js ***!
  \***********************************/
/***/ (function() {

const modals = document.querySelectorAll(".modal");
const window = document.querySelector("html");
function openModal(el) {
  el.classList.add("is-active");
  if (el.classList.contains("instagram-feed-modal")) {
    const iframes = el.querySelectorAll("iframe");
    iframes.forEach(iframe => {
      iframe.src = iframe.dataset.src;
    });
  }
}
function closeModal(el) {
  el.classList.remove("is-active");
  if (el.classList.contains("instagram-feed-modal")) {
    const iframes = el.querySelectorAll("iframe");
    iframes.forEach(iframe => {
      iframe.src = "";
    });
  }
}
function closeAllModals() {
  (modals || []).forEach(modal => {
    closeModal(modal);
  });
}

// Add a click event on buttons to open a specific modal
(document.querySelectorAll(".modal-trigger") || []).forEach(trigger => {
  const modal = trigger.dataset.target;
  const target = document.getElementById(modal);
  trigger.addEventListener("click", e => {
    e.preventDefault();
    openModal(target);
    window.classList.add("no-scroll-page");
  });
});

// Add a click event on various child elements to close the parent modal
(document.querySelectorAll(".modal-close, .modal-card-head .delete, .modal-card-foot .button, .modal-background") || []).forEach(close => {
  const target = close.closest(".modal");
  close.addEventListener("click", () => {
    closeModal(target);
    window.classList.remove("no-scroll-page");
  });
});

// Add a keyboard event to close all modals
document.addEventListener("keydown", event => {
  const e = event || window.event;
  if (e.keyCode === 27) {
    // Escape key
    closeAllModals();
  }
});

//Turn off video player on close
let lightboxPlayers = [];
if (modals && modals.length > 0) {
  modals.forEach(t => {
    const els = t.querySelectorAll(".modal-close, .modal-card-head .delete, .modal-card-foot .button");
    const video = t.querySelector("video");
    if (video) {
      if (els.lenght > 0) {
        els.forEach(el => {
          el.addEventListener("click", () => {
            video.pause();
          });
        });
      }
    }
    const youtube = t.querySelector(".youtube-video");
    if (youtube) {
      let checkYT = setInterval(function () {
        if (typeof YT !== "undefined" && YT.loaded) {
          let lightboxPlayer = new YT.Player(youtube.id, {
            events: {
              onReady: function (e) {
                if (els.lenght > 0) {
                  els.forEach(el => {
                    el.addEventListener("click", () => {
                      lightboxPlayer.pauseVideo();
                    });
                  });
                }
              }
            }
          });
          lightboxPlayers.push({
            id: youtube.id,
            player: lightboxPlayer
          });
          clearInterval(checkYT);
        }
      }, 100);
      checkYT;
    }
  });
}

/***/ }),

/***/ "./src/js/front-end/navigation.js":
/*!****************************************!*\
  !*** ./src/js/front-end/navigation.js ***!
  \****************************************/
/***/ (function() {

const nav_opens = document.querySelectorAll(".navbar-open");
const nav_closes = document.querySelectorAll(".navbar-close");
const body = document.querySelector("html");
const expandSelect = select => {
  select.size = select.options.length;
  select.classList.add("has-select-expand");
  select.addEventListener("click", () => {
    select.size = 1;
    select.classList.remove("has-select-expand");
  });
};
if (nav_opens && nav_opens.length > 0) {
  const top_menu = document.querySelector(`[data-menu='${nav_opens[0].dataset.target}']`);
  nav_opens.forEach(nav_open => {
    nav_open.addEventListener("click", () => {
      if (top_menu) {
        top_menu.classList.remove("is-hidden");
        top_menu.classList.add("is-active");
        body.classList.add("no-scroll");
        nav_opens.forEach(nav => {
          nav.setAttribute("aria-expanded", true);
          nav.classList.remove("is-active");
          nav.classList.add("is-hidden");
        });
        if (nav_closes && nav_closes.length > 0) {
          nav_closes.forEach(nav_close => {
            nav_close.classList.add("is-active");
            nav_close.classList.remove("is-hidden");
          });
        }
      }
    });
  });
  if (nav_closes && nav_closes.length > 0) {
    nav_closes.forEach(nav_close => {
      nav_close.addEventListener("click", () => {
        nav_closes.forEach(nav_close => {
          nav_close.classList.remove("is-active");
          nav_close.classList.add("is-hidden");
        });
        if (top_menu) {
          top_menu.classList.remove("is-active");
          setTimeout(() => {
            top_menu.classList.add("is-hidden");
          }, 500);
          body.classList.remove("no-scroll");
          nav_opens.forEach(nav => {
            nav.setAttribute("aria-expanded", false);
            nav.classList.add("is-active");
            nav.classList.remove("is-hidden");
          });
        }
      });
    });
  }
}

//create accordion buttons
const collapsedGlobalMenus = document.querySelectorAll(".navbar-find-info,.purdue-second-nav.desktop-hidden");
if (collapsedGlobalMenus.length > 0) {
  collapsedGlobalMenus.forEach(collapsedGlobalMenu => {
    let modifier = "top";
    if (collapsedGlobalMenu.classList.contains("purdue-second-nav")) {
      modifier = "section";
    }
    const accordionHeaders = collapsedGlobalMenu.querySelectorAll(".navbar-link, .navbar-link-submenu");
    if (accordionHeaders.length > 0) {
      accordionHeaders.forEach((item, index) => {
        const content = item.nextElementSibling;
        if (content) {
          const clonelink = item;
          if (clonelink.classList.contains("is-active-page") && window.location.href !== clonelink.href) {
            clonelink.classList.remove("is-active-page");
          }
          clonelink.classList.remove("navbar-link", "navbar-link-submenu");
          clonelink.setAttribute("aria-haspopup", "false");
          const cloneLi = document.createElement("li");
          cloneLi.classList.add("navbar-item", "cloned-item");
          cloneLi.appendChild(clonelink);
          content.insertBefore(cloneLi, content.querySelector("li"));
          content.id = modifier + "-menu-item-" + index;
          content.classList.add("hide");
          const button = document.createElement("button");
          button.classList.add("accordion__heading");
          button.innerHTML = item.innerHTML;
          button.setAttribute("aria-controls", content.id);
          button.setAttribute("aria-expanded", "false");
          content.parentElement.insertBefore(button, content);
        }
      });
    }
    const activePage = collapsedGlobalMenu.querySelector(".is-active-page");
    if (activePage) {
      if (activePage.parentElement.parentElement.classList.contains("navbar-dropdown-submenu")) {
        activePage.parentElement.parentElement.classList.remove("hide");
        activePage.parentElement.parentElement.classList.add("show");
        activePage.parentElement.parentElement.previousElementSibling.classList.add("is-open");
        activePage.parentElement.parentElement.previousElementSibling.setAttribute("aria-expanded", "true");
        activePage.parentElement.parentElement.parentElement.parentElement.classList.remove("hide");
        activePage.parentElement.parentElement.parentElement.parentElement.classList.add("show");
        activePage.parentElement.parentElement.parentElement.parentElement.previousElementSibling.setAttribute("aria-expanded", "true");
        activePage.parentElement.parentElement.parentElement.parentElement.previousElementSibling.classList.add("is-open");
      }
      if (activePage.parentElement.parentElement.classList.contains("navbar-dropdown")) {
        activePage.parentElement.parentElement.classList.remove("hide");
        activePage.parentElement.parentElement.classList.add("show");
        activePage.parentElement.parentElement.previousElementSibling.setAttribute("aria-expanded", "true");
        activePage.parentElement.parentElement.previousElementSibling.classList.add("is-open");
      }
    }
  });
}
//if anchor link is on the same page, close the menu
const links = document.querySelectorAll(".navbar-quick-links a, .navbar-other-links-wrapper a, .navbar-find-info__menu a");
const href = window.location.href.replace(location.hash, "");
if (links.length > 0) {
  links.forEach(link => {
    if (link.href.includes(href)) {
      const hash = link.href.replace(href, "");
      if (hash) {
        link.addEventListener("click", e => {
          const el = document.querySelector(hash);
          if (el) {
            if (nav_opens && nav_opens.length > 0) {
              const top_menu = document.querySelector(`[data-menu='${nav_opens[0].dataset.target}']`);
              nav_closes.forEach(nav_close => {
                nav_close.classList.remove("is-active");
                nav_close.classList.add("is-hidden");
              });
              if (top_menu) {
                top_menu.classList.remove("is-active");
                setTimeout(() => {
                  top_menu.classList.add("is-hidden");
                }, 500);
                body.classList.remove("no-scroll");
                nav_opens.forEach(nav => {
                  nav.setAttribute("aria-expanded", false);
                  nav.classList.add("is-active");
                  nav.classList.remove("is-hidden");
                });
              }
            }
            const select = el.querySelector("select");
            if (select) {
              expandSelect(select);
            }
          }
        });
      }
    }
  });
}
const sticky_second_navs = document.querySelectorAll(".header--global.header--two-rows .second-nav-sticky");
//set header position if there is a top alert
const top_alert = document.querySelector(".alert-widget.modal");
if (top_alert) {
  const height = top_alert.scrollHeight;
  const page_content = document.querySelector(".site");
  const mobile_menu = document.querySelector(".navbar-find-info.is-global");
  const width = window.innerWidth;
  if (width <= 1215 && mobile_menu) {
    mobile_menu.style.top = height + "px";
  }
  page_content.style.top = height + "px";
  window.addEventListener("resize", () => {
    const newHeight = top_alert.offsetHeight;
    page_content.style.top = newHeight + "px";
    const width = window.innerWidth;
    if (width <= 1215 && mobile_menu) {
      mobile_menu.style.top = newHeight + "px";
    }
  });
  const close_top_alert = top_alert.querySelector(".modal-close");
  close_top_alert.addEventListener("click", () => {
    page_content.style.top = "0px";
    const width = window.innerWidth;
    if (width <= 1215 && mobile_menu) {
      mobile_menu.style.top = "0px";
    }
  });
}
//sticky header
const top_nav = document.querySelector(".header--global:not(.header--two-rows)");
if (top_nav) {
  const sticky = top_nav.offsetTop;
  window.addEventListener("scroll", () => {
    if (window.pageYOffset > sticky) {
      top_nav.classList.add("is-fixed-top");
    } else {
      top_nav.classList.remove("is-fixed-top");
    }
  });
}
if (sticky_second_navs.length > 0) {
  sticky_second_navs.forEach(sticky_second_nav => {
    const sticky = sticky_second_nav.offsetTop;
    window.addEventListener("scroll", () => {
      if (window.pageYOffset > sticky) {
        sticky_second_nav.classList.add("is-fixed-top");
        if (top_alert) {
          sticky_second_nav.style.top = top_alert.offsetHeight + "px";
        }
      } else {
        sticky_second_nav.classList.remove("is-fixed-top");
        if (top_alert) {
          sticky_second_nav.style.top = "auto";
        }
      }
    });
  });
}

/***/ }),

/***/ "./src/js/front-end/search.js":
/*!************************************!*\
  !*** ./src/js/front-end/search.js ***!
  \************************************/
/***/ (function() {

var SuperPlaceholder = function (options) {
  this.options = options;
  this.element = options.element;
  this.placeholderIdx = 0;
  this.charIdx = 0;
  this.cursor = options.cursor;
  this.cursorIdx = 1;
  this.setPlaceholder = function () {
    placeholder = options.placeholders[this.placeholderIdx];
    var placeholderChunk = placeholder.substring(0, this.charIdx + 1);
    var cursorChunk = this.cursor.substring(0, this.cursorIdx);
    this.element.setAttribute("placeholder", this.options.preText + " " + placeholderChunk + cursorChunk);
  };
  this.onTickReverse = function (afterReverse) {
    if (this.charIdx === 0) {
      afterReverse.bind(this)();
      clearInterval(this.intervalId);
      this.init();
    } else {
      this.setPlaceholder();
      this.charIdx--;
    }
    if (this.cursorIdx === 1) {
      this.cursorIdx = 0;
    } else {
      this.cursorIdx = 1;
    }
  };
  this.goReverse = function () {
    clearInterval(this.intervalId);
    this.intervalId = setInterval(this.onTickReverse.bind(this, function () {
      this.charIdx = 0;
      this.placeholderIdx++;
      if (this.placeholderIdx === options.placeholders.length) {
        // end of all placeholders reached
        this.placeholderIdx = 0;
      }
    }), this.options.speed);
  };
  this.onTick = function () {
    var placeholder = options.placeholders[this.placeholderIdx];
    if (this.charIdx === placeholder.length) {
      // end of a placeholder sentence reached
      setTimeout(this.goReverse.bind(this), this.options.stay);
    }
    setTimeout(() => {
      if (this.cursorIdx === 1) {
        this.cursorIdx = 0;
      } else {
        this.cursorIdx = 1;
      }
    }, this.options.speed * 2);
    this.setPlaceholder();
    this.charIdx++;
  };
  this.init = function () {
    this.intervalId = setInterval(this.onTick.bind(this), this.options.speed);
  };
  this.kill = function () {
    clearInterval(this.intervalId);
  };
};
const searchbars = document.querySelectorAll(".search-box .search-form");
searchbars.forEach(searchbar => {
  const submit = searchbar.querySelector(".search-button");
  const clear = searchbar.querySelector(".clear-button");
  const field = searchbar.querySelector(".search-field");
  if (field.value !== "") {
    submit.classList.add("active");
    clear.classList.add("active");
  } else {
    submit.classList.remove("active");
    clear.classList.remove("active");
  }
  field.addEventListener("keyup", () => {
    if (field.value !== "") {
      submit.classList.add("active");
      clear.classList.add("active");
    } else {
      submit.classList.remove("active");
      clear.classList.remove("active");
    }
  });
  field.addEventListener("focus", () => {
    if (field.value !== "") {
      submit.classList.add("active");
      clear.classList.add("active");
    } else {
      submit.classList.remove("active");
      clear.classList.remove("active");
    }
  });
  clear.addEventListener("click", event => {
    field.value = "";
    submit.classList.remove("active");
    clear.classList.remove("active");
  });
  if (searchbar.getAttribute("name") === "searchform") {
    const placeholders = searchbar.querySelector(".search-field").getAttribute("placeholder").split(",").map(value => {
      return value.trim();
    });
    var sp = new SuperPlaceholder({
      placeholders: placeholders,
      preText: "",
      stay: 1000,
      speed: 150,
      element: field,
      cursor: "_"
    });
    sp.init();
  }
});

//search page sort
const sort = document.querySelector(".search-results-sort");
if (sort) {
  //on page load
  const queryString = window.location.search;
  const urlParams = new URLSearchParams(queryString);
  const orderby = urlParams.get("orderby");
  const search = urlParams.get("s");
  if (orderby) {
    sort.value = orderby;
  }
  //event
  sort.addEventListener("change", () => {
    const value = sort.value;
    const url = new URL(window.location.origin + window.location.pathname);
    if (search) {
      url.searchParams.append("s", search);
    }
    url.searchParams.append("orderby", value);
    window.location.href = url;
  });
}

/***/ }),

/***/ "./src/js/front-end/select.js":
/*!************************************!*\
  !*** ./src/js/front-end/select.js ***!
  \************************************/
/***/ (function() {

const expandSelect = select => {
  select.size = select.options.length;
  select.classList.add('has-select-expand');
  select.addEventListener("click", () => {
    select.size = 1;
    select.classList.remove('has-select-expand');
  });
};
const urlSelects = [...document.querySelectorAll('.purdue-home-select')];
if (urlSelects && urlSelects.length > 0) {
  urlSelects.forEach(urlSelect => {
    const select = urlSelect.querySelector("select");
    const button = urlSelect.querySelector(".purdue-home-button");
    let value = select.value;
    if (button) {
      button.addEventListener("click", () => {
        const value = select.value;
        const selected = select.options[select.selectedIndex];
        const external = selected.dataset.external;
        if (external === "1") {
          window.open(value);
        } else {
          window.location.href = value;
        }
      });
      if (value === "") {
        button.classList.add("hide");
      } else {
        button.classList.remove("hide");
      }
      select.addEventListener("change", () => {
        value = select.value;
        if (value === "") {
          button.classList.add("hide");
        } else {
          button.classList.remove("hide");
        }
      });
    } else {
      select.addEventListener("change", () => {
        value = select.value;
        const selected = select.options[select.selectedIndex];
        const external = selected.dataset.external;
        if (external === "1") {
          window.open(value);
        } else {
          window.location.href = value;
          const el = document.querySelector(value);
          if (el) {
            const select = el.querySelector("select");
            if (select) {
              expandSelect(select);
            }
          }
        }
      });
    }
  });
}

/***/ }),

/***/ "./src/js/front-end/skip-link-focus-fix.js":
/*!*************************************************!*\
  !*** ./src/js/front-end/skip-link-focus-fix.js ***!
  \*************************************************/
/***/ (function() {

/**
 * File skip-link-focus-fix.js.
 *
 * Helps with accessibility for keyboard only users.
 *
 * Learn more: https://git.io/vWdr2
 */
(function () {
  var isIe = /(trident|msie)/i.test(navigator.userAgent);
  if (isIe && document.getElementById && window.addEventListener) {
    window.addEventListener('hashchange', function () {
      var id = location.hash.substring(1),
        element;
      if (!/^[A-z0-9_-]+$/.test(id)) {
        return;
      }
      element = document.getElementById(id);
      if (element) {
        if (!/^(?:a|select|input|button|textarea)$/i.test(element.tagName)) {
          element.tabIndex = -1;
        }
        element.focus();
      }
    }, false);
  }
})();

/***/ }),

/***/ "./src/js/front-end/slider.js":
/*!************************************!*\
  !*** ./src/js/front-end/slider.js ***!
  \************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CustomActiveClass: function() { return /* binding */ CustomActiveClass; },
/* harmony export */   check_resize: function() { return /* binding */ check_resize; }
/* harmony export */ });
/* harmony import */ var _glidejs_glide__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @glidejs/glide */ "./node_modules/@glidejs/glide/dist/glide.esm.js");
/* harmony import */ var _glidejs_glide_src_utils_dom__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @glidejs/glide/src/utils/dom */ "./node_modules/@glidejs/glide/src/utils/dom.js");


const check_resize = glide => {
  if (glide.slides_count <= glide.settings.perView) {
    glide.update({
      startAt: 0
    }).disable();
    glide.controls.classList.add("hidden");
  } else {
    glide.enable();
    glide.controls.classList.remove("hidden");
  }
};
const CustomActiveClass = (Glide, Components, Events) => {
  const Component = {
    mount() {
      this.changeActiveSlide();
    },
    changeActiveSlide() {
      const slide = Components.Html.slides[Glide.index];
      const bullets = Components.Controls.items[0];
      const bullet = [...bullets.children].find(bullet => bullet.getAttribute("data-glide-dir") === `=${Glide.index}`);
      if (bullet) {
        bullet.classList.remove("is-next", "is-prev");
        bullet.classList.add("is-active");
      }
      slide.classList.remove("is-next", "is-prev");
      slide.classList.add("is-active");
      (0,_glidejs_glide_src_utils_dom__WEBPACK_IMPORTED_MODULE_1__.siblings)(slide).forEach(sibling => {
        sibling.classList.remove("is-active", "is-next", "is-prev");
      });
      (0,_glidejs_glide_src_utils_dom__WEBPACK_IMPORTED_MODULE_1__.siblings)(bullet).forEach(sibling => {
        sibling.classList.remove("is-active", "is-next", "is-prev");
      });
      if (slide.nextElementSibling) {
        slide.nextElementSibling.classList.add("is-next");
      }
      if (slide.previousElementSibling) {
        slide.previousElementSibling.classList.add("is-prev");
      }
      if (bullet && bullet.nextElementSibling) {
        bullet.nextElementSibling.classList.add("is-next");
      }
      if (bullet && bullet.previousElementSibling) {
        bullet.previousElementSibling.classList.add("is-prev");
      }
    }
  };
  Events.on("run", () => {
    Component.changeActiveSlide();
  });
  return Component;
};
const link_cards = document.querySelectorAll(".purdue-home-link-cards__slider");
if (link_cards && link_cards.length > 0) {
  for (let i = 0; i < link_cards.length; i++) {
    const type = link_cards[i].classList.contains("purdue-home-link-cards__slider--loop") && link_cards[i].querySelectorAll(".glide__slide").length > 4 ? "carousel" : "slide";
    let glide = new _glidejs_glide__WEBPACK_IMPORTED_MODULE_0__["default"](link_cards[i].querySelector(".glide"), {
      type: type,
      perView: 4,
      gap: 24,
      breakpoints: {
        1407: {
          perView: 3
        },
        1024: {
          perView: 2
        },
        767: {
          perView: 1
        }
      }
    });
    const nextButton = link_cards[i].querySelector(".arrow--left");
    const prevButton = link_cards[i].querySelector(".arrow--right");
    nextButton.addEventListener("click", function (event) {
      event.preventDefault();
      glide.go("<");
    });
    prevButton.addEventListener("click", function (event) {
      event.preventDefault();
      glide.go(">");
    });
    glide.slides_count = link_cards[i].querySelectorAll(".glide__slide:not(.glide__slide--clone)").length;
    glide.controls = link_cards[i].querySelector(".slider-controls");
    glide.on("resize", () => {
      check_resize(glide);
    });
    glide.mount({
      CustomActiveClass
    });
    check_resize(glide);
  }
}


/***/ }),

/***/ "./src/js/front-end/table.js":
/*!***********************************!*\
  !*** ./src/js/front-end/table.js ***!
  \***********************************/
/***/ (function() {

const tables = document.querySelectorAll("figure.wp-block-table");
tables.forEach(t => {
  const thead = [...t.getElementsByTagName("thead")];
  const tfoot = [...t.getElementsByTagName("tfoot")];
  const tbody = [...t.getElementsByTagName("tbody")];
  let trlength;
  const trs = [...tbody[0].getElementsByTagName("tr")];
  console.log(trs);
  let ths;
  if (thead.length > 0) {
    ths = [...thead[0].getElementsByTagName("th")];
  }
  if (trs.length > 0) {
    trlength = trs[0].getElementsByTagName("td").length;
  }
  trs.forEach(tr => {
    let newt = document.createElement("div");
    newt.classList.add("wp-block-table-mobile");
    for (i = 0; i < trlength; i++) {
      let newtb = document.createElement("div");
      const tbs = tr.getElementsByTagName("td");
      if (tbs[i].innerText) {
        let newth = document.createElement("b");
        newtb.classList.add("table-body");
        if (thead && thead.length > 0 && ths[i].innerText !== "") {
          newth.innerHTML = ths[i].innerHTML;
          newtb.appendChild(newth);
          newtb.insertAdjacentText("beforeend", ": ");
        }
        let newContent = tbs[i].innerHTML;
        newtb.insertAdjacentHTML("beforeend", newContent);
        newt.appendChild(newtb);
      }
      t.parentElement.insertBefore(newt, t);
    }
  });
});

/***/ }),

/***/ "./src/js/front-end/to-top.js":
/*!************************************!*\
  !*** ./src/js/front-end/to-top.js ***!
  \************************************/
/***/ (function() {

// back to top button

const toTop = document.querySelector('#to-top');
if (toTop) {
  toTop.addEventListener('click', () => {
    window.scroll({
      top: 0,
      behavior: 'smooth'
    });
  });
  window.addEventListener('scroll', () => {
    if (window.scrollY > 600) {
      toTop.classList.remove('to-top-hidden');
      toTop.classList.add('to-top-shown');
      const footer = document.getElementsByTagName('footer')[0];
      const start = window.innerHeight - footer.getBoundingClientRect().top - 160;
      if (start >= 80) {
        toTop.classList.add('to-top-relative');
      } else if (start < 80) {
        toTop.classList.remove('to-top-relative');
      }
    } else {
      toTop.classList.remove('to-top-shown');
      toTop.classList.add('to-top-hidden');
      toTop.classList.remove('to-top-relative');
    }
  });
}

/***/ }),

/***/ "./src/js/front-end/video.js":
/*!***********************************!*\
  !*** ./src/js/front-end/video.js ***!
  \***********************************/
/***/ (function() {

const youtube = [...document.querySelectorAll(".youtube-video,lite-youtube, .modal-youtube-video")];
if (youtube && youtube.length > 0) {
  const tag = document.createElement("script");
  tag.src = "https://www.youtube.com/iframe_api";
  const firstScriptTag = document.getElementsByTagName("script")[0];
  firstScriptTag.parentNode.insertBefore(tag, firstScriptTag);
}
const pauseOtherVideos = (players, id) => {
  players.forEach(pl => {
    if (pl.id !== id) {
      if (typeof pl.player.getPlayerState === "function" && pl.player.getPlayerState() === 1) {
        pl.player.pauseVideo();
      } else if (typeof pl.player.pause === "function") {
        pl.player.pause();
      }
    }
  });
};
let players = [];
//cta caard: on hover preview, on click play youtube
const cta_cards = document.querySelectorAll(".purdue-home-cta-card:not(.purdue-home-cta-card--vimeo)");
if (cta_cards.length > 0) {
  cta_cards.forEach(card => {
    const card_video_element = card.querySelector("video");
    if (card_video_element !== null) {
      card_video_element.loop = true; // Make sure the video loops
      card_video_element.muted = true; // Make sure the video is muted
      card.addEventListener("mouseover", () => {
        card_video_element.play();
      });
      card.addEventListener("mouseout", () => {
        card_video_element.pause();
      });
    }
    const card_iframe_element = card.querySelector(".youtube-video");
    const card_iframe_container = card.querySelector(".iframe-container");
    const card_text_container = card.querySelector(".flex-container");
    const card_background_container = card.querySelector(".image");
    if (card_iframe_element) {
      let checkYT = setInterval(function () {
        if (YT && YT.loaded) {
          let player = new YT.Player(card_iframe_element.id, {
            height: "390",
            width: "640",
            videoId: card_iframe_element.id,
            playerVars: {
              rel: 0,
              html5: 1
            },
            events: {
              onReady: function (event) {
                card.addEventListener("click", event => {
                  event.preventDefault();
                  card_text_container.style.display = "none";
                  card_background_container.style.display = "none";
                  card_iframe_container.classList.remove("is-sr-only");
                  if (player) {
                    setTimeout(() => player.playVideo(), 500);
                  }
                  pauseOtherVideos(players, card_iframe_element.id);
                });
              },
              onStateChange: function (event) {
                setTimeout(function () {
                  if (event.target.getPlayerState() == 0 || event.target.getPlayerState() == 2) {
                    card_text_container.style.display = "flex";
                    card_background_container.style.display = "block";
                    card_iframe_container.classList.add("is-sr-only");
                  }
                }, 500);
                if (typeof event.target.getPlayerState === "function" && event.target.getPlayerState() === 1) {
                  pauseOtherVideos(players, card_iframe_element.id);
                }
              }
            }
          });
          players.push({
            id: card_iframe_element.id,
            player: player
          });
          clearInterval(checkYT);
        }
      }, 1000);
      checkYT;
    }
  });
}
//Youtube in modal
const yt_modal = document.querySelectorAll(".modal-youtube-video");
if (yt_modal && yt_modal.length > 0) {
  yt_modal.forEach(youtube => {
    const yt_modal_id = youtube.id;
    let checkYT = setInterval(function () {
      if (YT && YT.loaded) {
        let player = new YT.Player(yt_modal_id, {
          height: "390",
          width: "640",
          videoId: yt_modal_id,
          playerVars: {
            rel: 0,
            html5: 1
          },
          events: {
            onReady: function (event) {
              (document.querySelectorAll(".modal-close, .modal-card-head .delete, .modal-card-foot .button, .modal-background, .alert-page__link") || []).forEach(close => {
                close.addEventListener("click", () => {
                  player.pauseVideo();
                });
              });
            },
            onStateChange: function (event) {
              if (typeof event.target.getPlayerState === "function" && event.target.getPlayerState() === 1) {
                pauseOtherVideos(players, yt_modal_id);
              }
              if (typeof event.target.getPlayerState === "function" && event.target.getPlayerState() === 0) {
                const activeModal = document.querySelector(".modal.is-active");
                if (activeModal) {
                  activeModal.classList.remove("is-active");
                }
              }
            }
          }
        });
        players.push({
          id: yt_modal_id,
          player: player
        });
        clearInterval(checkYT);
      }
    }, 1000);
    checkYT;
  });
}
//youtube lite
const ytl_list = document.querySelectorAll("lite-youtube");
if (ytl_list && ytl_list.length > 0) {
  ytl_list.forEach(youtube => {
    youtube.parentNode.classList.add("youtube-lite-container", "purdue-home-cta-card");
    const videoIdLite = youtube.getAttribute("videoid");
    let playBtnEl = youtube.querySelector(".lty-playbtn");
    if (!youtube.style.backgroundImage) {
      const posterUrl = `https://i.ytimg.com/vi/${videoIdLite}/maxresdefault.jpg`;
      youtube.style.backgroundImage = `url("${posterUrl}")`;
    }

    // Set up play button, and its visually hidden label
    if (!playBtnEl) {
      playBtnEl = document.createElement("div");
      playBtnEl.classList.add("flex-container--align-center", "lty-playbtn");
      youtube.append(playBtnEl);
      playText = document.createElement("span");
      playText.classList.add("cta-link", "purdue-home-cta-card__link");
      playText.innerHTML = "Watch Video";
      playBtnEl.append(playText);
      playIcon = document.createElement("img");
      playIcon.classList.add("cta-icon", "cta-icon--play");
      playIcon.src = "https://www.purdue.edu/home/wp-content/themes/purdue-home-theme/imgs/play_icon_gold.svg";
      playBtnEl.append(playIcon);
    }
    const iframeEl = youtube.querySelector(".iframe-element");
    if (!iframeEl) {
      const params = new URLSearchParams(youtube.getAttribute("params") || []);
      params.append("autoplay", "1");
      params.append("enablejsapi", "1");
      const host = window.location.protocol + "//" + window.location.host;
      params.append("origin", host);
      const iframeEl = document.createElement("div");
      iframeEl.id = videoIdLite;
      // AFAIK, the encoding here isn't necessary for XSS, but we'll do it only because this is a URL
      // https://stackoverflow.com/q/64959723/89484
      iframeEl.dataset.src = `https://www.youtube.com/embed/${encodeURIComponent(videoIdLite)}?${params.toString()}`;
      iframeEl.classList.add("iframe-element", "screen-reader-text");
      youtube.append(iframeEl);
    }
    const checkYTLite = setInterval(() => {
      if (YT && YT.loaded) {
        const player = new YT.Player(videoIdLite, {
          height: "390",
          width: "640",
          videoId: videoIdLite,
          playerVars: {
            html5: 1
          },
          events: {
            onReady: function () {
              youtube.addEventListener("click", event => {
                event.preventDefault();
                !youtube.classList.contains("lyt-activated") ? youtube.classList.add("lyt-activated") : "";
                youtube.querySelector(".iframe-element").classList.contains("screen-reader-text") ? youtube.querySelector(".iframe-element").classList.remove("screen-reader-text") : "";
                player.playVideo();
                pauseOtherVideos(players, videoIdLite);
              });
            },
            onStateChange: function (event) {
              if (typeof event.target.getPlayerState === "function" && event.target.getPlayerState() === 1) {
                pauseOtherVideos(players, videoIdLite);
              }
            }
          }
        });
        players.push({
          id: videoIdLite,
          player: player
        });
        clearInterval(checkYTLite);
      }
    }, 1000);
    checkYTLite;
  });
}
//cta banner: auto play when in view
document.addEventListener("DOMContentLoaded", function () {
  const ctaBanner = document.querySelectorAll(".purdue-home-cta-banner, .purdue-home-media-grid");
  if ("IntersectionObserver" in window) {
    let lazyBackgroundObserver = new IntersectionObserver(function (entries, observer) {
      entries.forEach(function (entry) {
        if (entry.isIntersecting) {
          entry.target.play();
          entry.target.loop = true;
          lazyBackgroundObserver.unobserve(entry.target);
        }
      });
    });
    ctaBanner.forEach(banner => {
      const videos = banner.querySelectorAll("video");
      if (videos.length > 0) {
        videos.forEach(video => {
          lazyBackgroundObserver.observe(video);
        });
      }
    });
  }
});

//vimeo
function getVimeoId(url) {
  const regEx = /(https?:\/\/)?(www\.)?(player\.)?vimeo\.com\/?(showcase\/)*([0-9))([a-z]*\/)*([0-9]{6,11})[?]?.*/;
  const match = url?.match(regEx);
  return match && match.length == 7 ? match[6] : null;
}
const vimeo = [...document.querySelectorAll(".modal-vimeo-video, .embed-vimeo-video, .wp-block-embed-vimeo iframe, lite-vimeo, .vimeo-video-hero")];
if (vimeo && vimeo.length > 0) {
  let tag = document.createElement("script");
  tag.src = "https://player.vimeo.com/api/player.js";
  let firstScriptTag = document.getElementsByTagName("script")[0];
  firstScriptTag.parentNode.insertBefore(tag, firstScriptTag);
  const vimeoLite = document.querySelectorAll("lite-vimeo");
  vimeoLite.forEach(video => {
    video.parentNode.classList.add("youtube-lite-container", "purdue-home-cta-card");
    const videoIdLite = video.getAttribute("videoid");
    let playBtnEl = video.querySelector(".lty-playbtn");
    if (!video.style.backgroundImage) {
      const posterUrl = `https://vumbnail.com/${videoIdLite}.jpg`;
      video.style.backgroundImage = `url("${posterUrl}")`;
    }

    // Set up play button, and its visually hidden label
    if (!playBtnEl) {
      playBtnEl = document.createElement("div");
      playBtnEl.classList.add("flex-container--align-center", "lty-playbtn");
      video.append(playBtnEl);
      playText = document.createElement("span");
      playText.classList.add("cta-link", "purdue-home-cta-card__link");
      playText.innerHTML = "Watch Video";
      playBtnEl.append(playText);
      playIcon = document.createElement("img");
      playIcon.classList.add("cta-icon", "cta-icon--play");
      playIcon.src = "https://www.purdue.edu/home/wp-content/themes/purdue-home-theme/imgs/play_icon_gold.svg";
      playBtnEl.append(playIcon);
    }
    const iframeEL = video.querySelector(".iframe-element");
    if (!iframeEL) {
      const iframeEl = document.createElement("iframe");
      iframeEl.id = videoIdLite;
      const params = new URLSearchParams([]);
      params.append("autoplay", "1");
      params.append("muted", "1");
      params.append("controls", "1");
      iframeEl.src = `https://player.vimeo.com/video/${videoIdLite}?${params.toString()}`;
      iframeEl.classList.add("iframe-element", "screen-reader-text");
      video.append(iframeEl);
      vimeo.push(iframeEl);
    }
  });
  let checkVimeo = setInterval(function () {
    if (Vimeo) {
      vimeo.forEach(iframe => {
        if (iframe.tagName.toLowerCase() !== "lite-vimeo") {
          if (!iframe.id && iframe.src) {
            iframe.id = getVimeoId(iframe.src);
          }
          var player = new Vimeo.Player(iframe, {
            id: iframe.id
          });
          players.push({
            id: iframe.id,
            player: player
          });
          if (iframe.classList.contains("iframe-element")) {
            iframe.parentElement.addEventListener("click", event => {
              event.preventDefault();
              !event.target.classList.contains("lyt-activated") ? event.target.classList.add("lyt-activated") : "";
              iframe.classList.contains("screen-reader-text") ? iframe.classList.remove("screen-reader-text") : "";
              player.play();
            });
          }
          if (iframe.classList.contains("vimeo-video-hero")) {
            const card = iframe.parentElement.parentElement;
            if (card && card.classList.contains("purdue-home-cta-card")) {
              const card_text_container = card.querySelector(".flex-container");
              const card_background_container = card.querySelector(".image");
              const card_iframe_container = card.querySelector(".iframe-container");
              card.addEventListener("click", event => {
                event.preventDefault();
                card_text_container.style.display = "none";
                card_background_container.style.display = "none";
                card_iframe_container.classList.remove("is-sr-only");
                player.play();
              });
            }
          }
          player.on("play", function (event) {
            pauseOtherVideos(players, iframe.id);
          });
          (document.querySelectorAll(".modal-close, .modal-card-head .delete, .modal-card-foot .button, .modal-background") || []).forEach(close => {
            close.addEventListener("click", () => {
              player.pause();
            });
          });
        }
      });
      clearInterval(checkVimeo);
    }
  }, 100);
  checkVimeo;
}

/***/ }),

/***/ "./src/style/front-end/app.scss":
/*!**************************************!*\
  !*** ./src/style/front-end/app.scss ***!
  \**************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
// extracted by mini-css-extract-plugin


/***/ }),

/***/ "./node_modules/@glidejs/glide/src/utils/dom.js":
/*!******************************************************!*\
  !*** ./node_modules/@glidejs/glide/src/utils/dom.js ***!
  \******************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   exist: function() { return /* binding */ exist; },
/* harmony export */   siblings: function() { return /* binding */ siblings; },
/* harmony export */   toArray: function() { return /* binding */ toArray; }
/* harmony export */ });
/**
 * Finds siblings nodes of the passed node.
 *
 * @param  {Element} node
 * @return {Array}
 */
function siblings (node) {
  if (node && node.parentNode) {
    let n = node.parentNode.firstChild
    let matched = []

    for (; n; n = n.nextSibling) {
      if (n.nodeType === 1 && n !== node) {
        matched.push(n)
      }
    }

    return matched
  }

  return []
}

/**
 * Checks if passed node exist and is a valid element.
 *
 * @param  {Element} node
 * @return {Boolean}
 */
function exist (node) {
  if (node && node instanceof window.HTMLElement) {
    return true
  }

  return false
}

/**
 * Coerces a NodeList to an Array.
 *
 * @param  {NodeList} nodeList
 * @return {Array}
 */

function toArray (nodeList) {
  return Array.prototype.slice.call(nodeList)
}


/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = __webpack_modules__;
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/chunk loaded */
/******/ 	!function() {
/******/ 		var deferred = [];
/******/ 		__webpack_require__.O = function(result, chunkIds, fn, priority) {
/******/ 			if(chunkIds) {
/******/ 				priority = priority || 0;
/******/ 				for(var i = deferred.length; i > 0 && deferred[i - 1][2] > priority; i--) deferred[i] = deferred[i - 1];
/******/ 				deferred[i] = [chunkIds, fn, priority];
/******/ 				return;
/******/ 			}
/******/ 			var notFulfilled = Infinity;
/******/ 			for (var i = 0; i < deferred.length; i++) {
/******/ 				var chunkIds = deferred[i][0];
/******/ 				var fn = deferred[i][1];
/******/ 				var priority = deferred[i][2];
/******/ 				var fulfilled = true;
/******/ 				for (var j = 0; j < chunkIds.length; j++) {
/******/ 					if ((priority & 1 === 0 || notFulfilled >= priority) && Object.keys(__webpack_require__.O).every(function(key) { return __webpack_require__.O[key](chunkIds[j]); })) {
/******/ 						chunkIds.splice(j--, 1);
/******/ 					} else {
/******/ 						fulfilled = false;
/******/ 						if(priority < notFulfilled) notFulfilled = priority;
/******/ 					}
/******/ 				}
/******/ 				if(fulfilled) {
/******/ 					deferred.splice(i--, 1)
/******/ 					var r = fn();
/******/ 					if (r !== undefined) result = r;
/******/ 				}
/******/ 			}
/******/ 			return result;
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	!function() {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = function(module) {
/******/ 			var getter = module && module.__esModule ?
/******/ 				function() { return module['default']; } :
/******/ 				function() { return module; };
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	!function() {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = function(exports, definition) {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	!function() {
/******/ 		__webpack_require__.o = function(obj, prop) { return Object.prototype.hasOwnProperty.call(obj, prop); }
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	!function() {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = function(exports) {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/jsonp chunk loading */
/******/ 	!function() {
/******/ 		// no baseURI
/******/ 		
/******/ 		// object to store loaded and loading chunks
/******/ 		// undefined = chunk not loaded, null = chunk preloaded/prefetched
/******/ 		// [resolve, reject, Promise] = chunk loading, 0 = chunk loaded
/******/ 		var installedChunks = {
/******/ 			"app": 0
/******/ 		};
/******/ 		
/******/ 		// no chunk on demand loading
/******/ 		
/******/ 		// no prefetching
/******/ 		
/******/ 		// no preloaded
/******/ 		
/******/ 		// no HMR
/******/ 		
/******/ 		// no HMR manifest
/******/ 		
/******/ 		__webpack_require__.O.j = function(chunkId) { return installedChunks[chunkId] === 0; };
/******/ 		
/******/ 		// install a JSONP callback for chunk loading
/******/ 		var webpackJsonpCallback = function(parentChunkLoadingFunction, data) {
/******/ 			var chunkIds = data[0];
/******/ 			var moreModules = data[1];
/******/ 			var runtime = data[2];
/******/ 			// add "moreModules" to the modules object,
/******/ 			// then flag all "chunkIds" as loaded and fire callback
/******/ 			var moduleId, chunkId, i = 0;
/******/ 			if(chunkIds.some(function(id) { return installedChunks[id] !== 0; })) {
/******/ 				for(moduleId in moreModules) {
/******/ 					if(__webpack_require__.o(moreModules, moduleId)) {
/******/ 						__webpack_require__.m[moduleId] = moreModules[moduleId];
/******/ 					}
/******/ 				}
/******/ 				if(runtime) var result = runtime(__webpack_require__);
/******/ 			}
/******/ 			if(parentChunkLoadingFunction) parentChunkLoadingFunction(data);
/******/ 			for(;i < chunkIds.length; i++) {
/******/ 				chunkId = chunkIds[i];
/******/ 				if(__webpack_require__.o(installedChunks, chunkId) && installedChunks[chunkId]) {
/******/ 					installedChunks[chunkId][0]();
/******/ 				}
/******/ 				installedChunks[chunkId] = 0;
/******/ 			}
/******/ 			return __webpack_require__.O(result);
/******/ 		}
/******/ 		
/******/ 		var chunkLoadingGlobal = self["webpackChunkpurdue_home_theme"] = self["webpackChunkpurdue_home_theme"] || [];
/******/ 		chunkLoadingGlobal.forEach(webpackJsonpCallback.bind(null, 0));
/******/ 		chunkLoadingGlobal.push = webpackJsonpCallback.bind(null, chunkLoadingGlobal.push.bind(chunkLoadingGlobal));
/******/ 	}();
/******/ 	
/************************************************************************/
/******/ 	
/******/ 	// startup
/******/ 	// Load entry module and return exports
/******/ 	// This entry module depends on other loaded chunks and execution need to be delayed
/******/ 	__webpack_require__.O(undefined, ["common/glide.esm"], function() { return __webpack_require__("./src/js/front-end/app.js"); })
/******/ 	var __webpack_exports__ = __webpack_require__.O(undefined, ["common/glide.esm"], function() { return __webpack_require__("./src/style/front-end/app.scss"); })
/******/ 	__webpack_exports__ = __webpack_require__.O(__webpack_exports__);
/******/ 	
/******/ })()
;
//# sourceMappingURL=app.js.map