/******/ (function() { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ "./src/blocks/hot-spot/frontend.js":
/*!*****************************************!*\
  !*** ./src/blocks/hot-spot/frontend.js ***!
  \*****************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _src_js_front_end_slider__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../src/js/front-end/slider */ "./src/js/front-end/slider.js");
/* harmony import */ var _glidejs_glide__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @glidejs/glide */ "./node_modules/@glidejs/glide/dist/glide.esm.js");


const hotspot_buttons = document.querySelectorAll('.hot-spot-button');
if (hotspot_buttons && hotspot_buttons.length > 0) {
  hotspot_buttons.forEach(button => {
    const target = document.getElementById(button.dataset.target);
    button.addEventListener("click", event => {
      if (event.target.classList.contains('is-active')) {
        event.target.classList.remove('is-active');
        target.classList.remove('is-active');
      } else {
        event.target.classList.add('is-active');
        target.classList.add('is-active');
      }
    });
    if (button.parentElement.parentElement.querySelector('.image')) {
      button.parentElement.parentElement.querySelector('.image').addEventListener("click", () => {
        target.classList.remove('is-active');
        button.classList.remove('is-active');
      });
    }
    if (button.parentElement.previousElementSibling) {
      button.parentElement.previousElementSibling.addEventListener("click", () => {
        target.classList.remove('is-active');
        button.classList.remove('is-active');
      });
    }
    if (button.parentElement.nextElementSibling) {
      button.parentElement.nextElementSibling.addEventListener("click", () => {
        target.classList.remove('is-active');
        button.classList.remove('is-active');
      });
    }
  });
}

//desktop hot spot
const hs_desktop = document.querySelectorAll('.purdue-home-slide__hot-spot-desktop');
if (hs_desktop && hs_desktop.length > 0) {
  for (let i = 0; i < hs_desktop.length; i++) {
    let glide = new _glidejs_glide__WEBPACK_IMPORTED_MODULE_1__["default"](hs_desktop[i], {
      type: 'carousel',
      perView: 1
    });
    const nextButton = hs_desktop[i].querySelector('.arrow--left');
    const prevButton = hs_desktop[i].querySelector('.arrow--right');
    nextButton.addEventListener('click', function (event) {
      event.preventDefault();
      glide.go('<');
    });
    prevButton.addEventListener('click', function (event) {
      event.preventDefault();
      glide.go('>');
    });
    glide.slides_count = hs_desktop[i].querySelectorAll('.glide__slide').length;
    glide.controls = hs_desktop[i].querySelector('.slider-controls');
    glide.on('resize', () => {
      (0,_src_js_front_end_slider__WEBPACK_IMPORTED_MODULE_0__.check_resize)(glide);
    });
    glide.on('run', function () {
      const hotspot_buttons = hs_desktop[i].querySelectorAll('.hot-spot-button');
      if (hotspot_buttons && hotspot_buttons.length > 0) {
        hotspot_buttons.forEach(button => {
          const modal = button.dataset.target;
          const target = document.getElementById(modal);
          target.classList.remove('is-active');
          button.classList.remove('is-active');
        });
      }
    });
    glide.mount({
      CustomActiveClass: _src_js_front_end_slider__WEBPACK_IMPORTED_MODULE_0__.CustomActiveClass
    });
    (0,_src_js_front_end_slider__WEBPACK_IMPORTED_MODULE_0__.check_resize)(glide);
  }
}

//mobile hot spot
const hs_mobile = document.querySelectorAll('.purdue-home-slide__hot-spot-mobile');
if (hs_mobile && hs_mobile.length > 0) {
  for (let i = 0; i < hs_mobile.length; i++) {
    let glide = new _glidejs_glide__WEBPACK_IMPORTED_MODULE_1__["default"](hs_mobile[i], {
      type: 'carousel',
      perView: 1
    });
    const nextButton = hs_mobile[i].querySelector('.arrow--left');
    const prevButton = hs_mobile[i].querySelector('.arrow--right');
    nextButton.addEventListener('click', function (event) {
      event.preventDefault();
      glide.go('<');
    });
    prevButton.addEventListener('click', function (event) {
      event.preventDefault();
      glide.go('>');
    });
    glide.slides_count = hs_mobile[i].querySelectorAll('.glide__slide').length;
    glide.controls = hs_mobile[i].querySelector('.slider-controls');
    glide.on('resize', () => {
      (0,_src_js_front_end_slider__WEBPACK_IMPORTED_MODULE_0__.check_resize)(glide);
    });
    glide.mount({
      CustomActiveClass: _src_js_front_end_slider__WEBPACK_IMPORTED_MODULE_0__.CustomActiveClass
    });
    (0,_src_js_front_end_slider__WEBPACK_IMPORTED_MODULE_0__.check_resize)(glide);
  }
}

/***/ }),

/***/ "./src/js/front-end/slider.js":
/*!************************************!*\
  !*** ./src/js/front-end/slider.js ***!
  \************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CustomActiveClass: function() { return /* binding */ CustomActiveClass; },
/* harmony export */   check_resize: function() { return /* binding */ check_resize; }
/* harmony export */ });
/* harmony import */ var _glidejs_glide__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @glidejs/glide */ "./node_modules/@glidejs/glide/dist/glide.esm.js");
/* harmony import */ var _glidejs_glide_src_utils_dom__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @glidejs/glide/src/utils/dom */ "./node_modules/@glidejs/glide/src/utils/dom.js");


const check_resize = glide => {
  if (glide.slides_count <= glide.settings.perView) {
    glide.update({
      startAt: 0
    }).disable();
    glide.controls.classList.add("hidden");
  } else {
    glide.enable();
    glide.controls.classList.remove("hidden");
  }
};
const CustomActiveClass = (Glide, Components, Events) => {
  const Component = {
    mount() {
      this.changeActiveSlide();
    },
    changeActiveSlide() {
      const slide = Components.Html.slides[Glide.index];
      const bullets = Components.Controls.items[0];
      const bullet = [...bullets.children].find(bullet => bullet.getAttribute("data-glide-dir") === `=${Glide.index}`);
      if (bullet) {
        bullet.classList.remove("is-next", "is-prev");
        bullet.classList.add("is-active");
      }
      slide.classList.remove("is-next", "is-prev");
      slide.classList.add("is-active");
      (0,_glidejs_glide_src_utils_dom__WEBPACK_IMPORTED_MODULE_1__.siblings)(slide).forEach(sibling => {
        sibling.classList.remove("is-active", "is-next", "is-prev");
      });
      (0,_glidejs_glide_src_utils_dom__WEBPACK_IMPORTED_MODULE_1__.siblings)(bullet).forEach(sibling => {
        sibling.classList.remove("is-active", "is-next", "is-prev");
      });
      if (slide.nextElementSibling) {
        slide.nextElementSibling.classList.add("is-next");
      }
      if (slide.previousElementSibling) {
        slide.previousElementSibling.classList.add("is-prev");
      }
      if (bullet && bullet.nextElementSibling) {
        bullet.nextElementSibling.classList.add("is-next");
      }
      if (bullet && bullet.previousElementSibling) {
        bullet.previousElementSibling.classList.add("is-prev");
      }
    }
  };
  Events.on("run", () => {
    Component.changeActiveSlide();
  });
  return Component;
};
const link_cards = document.querySelectorAll(".purdue-home-link-cards__slider");
if (link_cards && link_cards.length > 0) {
  for (let i = 0; i < link_cards.length; i++) {
    const type = link_cards[i].classList.contains("purdue-home-link-cards__slider--loop") && link_cards[i].querySelectorAll(".glide__slide").length > 4 ? "carousel" : "slide";
    let glide = new _glidejs_glide__WEBPACK_IMPORTED_MODULE_0__["default"](link_cards[i].querySelector(".glide"), {
      type: type,
      perView: 4,
      gap: 24,
      breakpoints: {
        1407: {
          perView: 3
        },
        1024: {
          perView: 2
        },
        767: {
          perView: 1
        }
      }
    });
    const nextButton = link_cards[i].querySelector(".arrow--left");
    const prevButton = link_cards[i].querySelector(".arrow--right");
    nextButton.addEventListener("click", function (event) {
      event.preventDefault();
      glide.go("<");
    });
    prevButton.addEventListener("click", function (event) {
      event.preventDefault();
      glide.go(">");
    });
    glide.slides_count = link_cards[i].querySelectorAll(".glide__slide:not(.glide__slide--clone)").length;
    glide.controls = link_cards[i].querySelector(".slider-controls");
    glide.on("resize", () => {
      check_resize(glide);
    });
    glide.mount({
      CustomActiveClass
    });
    check_resize(glide);
  }
}


/***/ }),

/***/ "./node_modules/@glidejs/glide/src/utils/dom.js":
/*!******************************************************!*\
  !*** ./node_modules/@glidejs/glide/src/utils/dom.js ***!
  \******************************************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   exist: function() { return /* binding */ exist; },
/* harmony export */   siblings: function() { return /* binding */ siblings; },
/* harmony export */   toArray: function() { return /* binding */ toArray; }
/* harmony export */ });
/**
 * Finds siblings nodes of the passed node.
 *
 * @param  {Element} node
 * @return {Array}
 */
function siblings (node) {
  if (node && node.parentNode) {
    let n = node.parentNode.firstChild
    let matched = []

    for (; n; n = n.nextSibling) {
      if (n.nodeType === 1 && n !== node) {
        matched.push(n)
      }
    }

    return matched
  }

  return []
}

/**
 * Checks if passed node exist and is a valid element.
 *
 * @param  {Element} node
 * @return {Boolean}
 */
function exist (node) {
  if (node && node instanceof window.HTMLElement) {
    return true
  }

  return false
}

/**
 * Coerces a NodeList to an Array.
 *
 * @param  {NodeList} nodeList
 * @return {Array}
 */

function toArray (nodeList) {
  return Array.prototype.slice.call(nodeList)
}


/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = __webpack_modules__;
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/chunk loaded */
/******/ 	!function() {
/******/ 		var deferred = [];
/******/ 		__webpack_require__.O = function(result, chunkIds, fn, priority) {
/******/ 			if(chunkIds) {
/******/ 				priority = priority || 0;
/******/ 				for(var i = deferred.length; i > 0 && deferred[i - 1][2] > priority; i--) deferred[i] = deferred[i - 1];
/******/ 				deferred[i] = [chunkIds, fn, priority];
/******/ 				return;
/******/ 			}
/******/ 			var notFulfilled = Infinity;
/******/ 			for (var i = 0; i < deferred.length; i++) {
/******/ 				var chunkIds = deferred[i][0];
/******/ 				var fn = deferred[i][1];
/******/ 				var priority = deferred[i][2];
/******/ 				var fulfilled = true;
/******/ 				for (var j = 0; j < chunkIds.length; j++) {
/******/ 					if ((priority & 1 === 0 || notFulfilled >= priority) && Object.keys(__webpack_require__.O).every(function(key) { return __webpack_require__.O[key](chunkIds[j]); })) {
/******/ 						chunkIds.splice(j--, 1);
/******/ 					} else {
/******/ 						fulfilled = false;
/******/ 						if(priority < notFulfilled) notFulfilled = priority;
/******/ 					}
/******/ 				}
/******/ 				if(fulfilled) {
/******/ 					deferred.splice(i--, 1)
/******/ 					var r = fn();
/******/ 					if (r !== undefined) result = r;
/******/ 				}
/******/ 			}
/******/ 			return result;
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	!function() {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = function(exports, definition) {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	!function() {
/******/ 		__webpack_require__.o = function(obj, prop) { return Object.prototype.hasOwnProperty.call(obj, prop); }
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	!function() {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = function(exports) {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/jsonp chunk loading */
/******/ 	!function() {
/******/ 		// no baseURI
/******/ 		
/******/ 		// object to store loaded and loading chunks
/******/ 		// undefined = chunk not loaded, null = chunk preloaded/prefetched
/******/ 		// [resolve, reject, Promise] = chunk loading, 0 = chunk loaded
/******/ 		var installedChunks = {
/******/ 			"blocks/hot-spot/frontend": 0
/******/ 		};
/******/ 		
/******/ 		// no chunk on demand loading
/******/ 		
/******/ 		// no prefetching
/******/ 		
/******/ 		// no preloaded
/******/ 		
/******/ 		// no HMR
/******/ 		
/******/ 		// no HMR manifest
/******/ 		
/******/ 		__webpack_require__.O.j = function(chunkId) { return installedChunks[chunkId] === 0; };
/******/ 		
/******/ 		// install a JSONP callback for chunk loading
/******/ 		var webpackJsonpCallback = function(parentChunkLoadingFunction, data) {
/******/ 			var chunkIds = data[0];
/******/ 			var moreModules = data[1];
/******/ 			var runtime = data[2];
/******/ 			// add "moreModules" to the modules object,
/******/ 			// then flag all "chunkIds" as loaded and fire callback
/******/ 			var moduleId, chunkId, i = 0;
/******/ 			if(chunkIds.some(function(id) { return installedChunks[id] !== 0; })) {
/******/ 				for(moduleId in moreModules) {
/******/ 					if(__webpack_require__.o(moreModules, moduleId)) {
/******/ 						__webpack_require__.m[moduleId] = moreModules[moduleId];
/******/ 					}
/******/ 				}
/******/ 				if(runtime) var result = runtime(__webpack_require__);
/******/ 			}
/******/ 			if(parentChunkLoadingFunction) parentChunkLoadingFunction(data);
/******/ 			for(;i < chunkIds.length; i++) {
/******/ 				chunkId = chunkIds[i];
/******/ 				if(__webpack_require__.o(installedChunks, chunkId) && installedChunks[chunkId]) {
/******/ 					installedChunks[chunkId][0]();
/******/ 				}
/******/ 				installedChunks[chunkId] = 0;
/******/ 			}
/******/ 			return __webpack_require__.O(result);
/******/ 		}
/******/ 		
/******/ 		var chunkLoadingGlobal = self["webpackChunkpurdue_home_theme"] = self["webpackChunkpurdue_home_theme"] || [];
/******/ 		chunkLoadingGlobal.forEach(webpackJsonpCallback.bind(null, 0));
/******/ 		chunkLoadingGlobal.push = webpackJsonpCallback.bind(null, chunkLoadingGlobal.push.bind(chunkLoadingGlobal));
/******/ 	}();
/******/ 	
/************************************************************************/
/******/ 	
/******/ 	// startup
/******/ 	// Load entry module and return exports
/******/ 	// This entry module depends on other loaded chunks and execution need to be delayed
/******/ 	var __webpack_exports__ = __webpack_require__.O(undefined, ["common/glide.esm"], function() { return __webpack_require__("./src/blocks/hot-spot/frontend.js"); })
/******/ 	__webpack_exports__ = __webpack_require__.O(__webpack_exports__);
/******/ 	
/******/ })()
;
//# sourceMappingURL=frontend.js.map