/******/ (function() { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ "./src/blocks/post-grid/edit.js":
/*!**************************************!*\
  !*** ./src/blocks/post-grid/edit.js ***!
  \**************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @wordpress/i18n */ "@wordpress/i18n");
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_i18n__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @wordpress/components */ "@wordpress/components");
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _wordpress_block_editor__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @wordpress/block-editor */ "@wordpress/block-editor");
/* harmony import */ var _wordpress_block_editor__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_wordpress_block_editor__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _wordpress_server_side_render__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @wordpress/server-side-render */ "@wordpress/server-side-render");
/* harmony import */ var _wordpress_server_side_render__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_wordpress_server_side_render__WEBPACK_IMPORTED_MODULE_3__);
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }



const {
  useEffect,
  useState
} = wp.element;

const {
  apiFetch
} = wp;
const edit = props => {
  const {
    className,
    setAttributes
  } = props;
  const {
    blockType,
    linkText,
    linkURL,
    external,
    cardType,
    background,
    header,
    orderBy,
    showExcerpt,
    showDate,
    showThumbnail,
    hasSelectedPostType,
    hasSelectedTax,
    hasSelectedCatTerms,
    selectedPostType,
    selectedTax,
    postTypeTag,
    selectedTaxTerms,
    selectedTaxFilters,
    selectedCatTerms,
    excludeCat,
    addTaxFilter,
    addCatFilter,
    addPostTypeFilter,
    addOrderFilter,
    addSearch,
    addYearFilter,
    postTypeFilterName,
    catFilterName,
    postsPerPage,
    columns,
    headerStyle,
    buttonText,
    paddingTop,
    paddingBottom,
    id
  } = props.attributes;
  const blockProps = (0,_wordpress_block_editor__WEBPACK_IMPORTED_MODULE_2__.useBlockProps)();
  const fetchPath = "/wp/v2/";
  const [postType, setPostType] = useState([]);
  const [taxes, setTax] = useState([]);
  const [taxTerms, setTaxTerms] = useState([]);
  const [catTerms, setCatTerms] = useState([]);
  useEffect(() => {
    Promise.all([apiFetch({
      path: `${fetchPath}types`
    })]).then(terms => {
      let options = [];
      for (const postType in terms[0]) {
        if (terms[0].hasOwnProperty(postType)) {
          if (postType != "page" && postType != "attachment" && postType != "nav_menu_item" && postType != "wp_block" && postType != "wp_template" && postType != "wp_template_part" && postType != "wp_font_family" && postType != "wp_font_face" && postType != "guest-author" && postType != "wp_navigation") {
            let term = {
              label: terms[0][postType].name,
              value: postType
            };
            options.push(term);
          }
        }
      }
      setPostType(options);
    }).catch(error => {
      // eslint-disable-next-line no-console
      console.log(error);
    });
  }, []);
  useEffect(() => {
    Promise.all([apiFetch({
      path: `${fetchPath}taxonomies`
    })]).then(taxonomies => {
      let taxes = [],
        taxTerms = [];
      for (const tax in taxonomies[0]) {
        if (tax != "category" && tax != "nav_menu" && tax != "post_tag" && tax != "wp_pattern_category") {
          let tempt = {
            label: taxonomies[0][tax].name,
            value: tax
          };
          taxes.push(tempt);
          apiFetch({
            path: `${fetchPath}${tax}?per_page=100`
          }).then(terms => {
            terms.forEach(term => {
              let temptTerm = {
                label: term.name,
                value: term.slug,
                taxonomy: taxonomies[0][tax].name,
                taxonomy_slug: taxonomies[0][tax].slug
              };
              taxTerms.push(temptTerm);
            });
          }).catch(error => {
            // eslint-disable-next-line no-console
            console.log(error);
          });
        }
      }
      setTax(taxes);
      setTaxTerms(taxTerms);
    }).catch(error => {
      // eslint-disable-next-line no-console
      console.log(error);
    });
  }, []);
  useEffect(() => {
    Promise.all([apiFetch({
      path: `${fetchPath}categories?per_page=100&page=1`
    }), apiFetch({
      path: `${fetchPath}categories?per_page=100&page=2`
    })]).then(terms => {
      const options = [...terms[0], ...terms[1]].map(p => {
        return {
          label: p.name,
          value: p.slug
        };
      });
      setCatTerms(options);
    }).catch(error => {
      // eslint-disable-next-line no-console
      console.log(error);
    });
  }, []);
  return [/*#__PURE__*/React.createElement(_wordpress_block_editor__WEBPACK_IMPORTED_MODULE_2__.InspectorControls, {
    key: "1"
  }, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelBody, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.SelectControl, {
    label: "Choose what to display",
    value: blockType,
    options: [{
      label: "Recent Posts",
      value: "recent"
    }, {
      label: "All Posts",
      value: "all"
    }],
    onChange: blockType => setAttributes({
      blockType
    })
  })), blockType === "recent" ? /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.TextControl, {
    label: "Text for optional button",
    onChange: linkText => {
      setAttributes({
        linkText
      });
    },
    value: linkText
  })) : "", blockType === "recent" ? /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.TextControl, {
    label: "Link URL for optional button",
    onChange: linkURL => {
      setAttributes({
        linkURL
      });
    },
    value: linkURL
  })) : "", blockType === "recent" ? /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.CheckboxControl, {
    label: "Open in new tab for optional button?",
    checked: external,
    onChange: () => {
      setAttributes({
        external: !external
      });
    }
  })) : "", blockType === "recent" ? /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.SelectControl, {
    label: "Number of recent posts",
    value: postsPerPage,
    options: [{
      label: "3",
      value: "3"
    }, {
      label: "6",
      value: "6"
    }, {
      label: "9",
      value: "9"
    }],
    onChange: postsPerPage => setAttributes({
      postsPerPage
    })
  })) : /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.SelectControl, {
    label: "Columns for all posts",
    value: columns,
    options: [{
      label: "3",
      value: "3"
    }, {
      label: "4",
      value: "4"
    }],
    onChange: columns => setAttributes({
      columns
    })
  })), /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.TextControl, {
    label: "Add a Header to this section",
    onChange: header => {
      setAttributes({
        header
      });
    },
    value: header
  })), /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.SelectControl, {
    label: "Choose a header style",
    value: headerStyle,
    options: [{
      label: "Simple",
      value: "simple"
    }, {
      label: "Flagged",
      value: "flagged"
    }],
    onChange: headerStyle => setAttributes({
      headerStyle
    })
  })), /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.TextControl, {
    label: "Button Text Shown on the Cards",
    onChange: buttonText => {
      setAttributes({
        buttonText
      });
    },
    value: buttonText
  })), /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.SelectControl, {
    label: "Choose the background",
    value: background,
    options: [{
      label: "None",
      value: "none"
    }, {
      label: "Gold",
      value: "gold"
    }, {
      label: "Black",
      value: "black"
    }, {
      label: "Gray",
      value: "gray"
    }],
    onChange: background => setAttributes({
      background
    })
  })), /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.SelectControl, {
    label: "Choose Card Type",
    value: cardType,
    options: [{
      label: "Story",
      value: "story"
    }, {
      label: "Faculty",
      value: "faculty"
    }],
    onChange: cardType => setAttributes({
      cardType
    })
  })), /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.SelectControl, {
    label: "Padding at the top",
    value: paddingTop,
    options: [{
      value: "has-padding-top-none",
      label: "None"
    }, {
      value: "has-padding-top-small",
      label: "Small"
    }, {
      value: "",
      label: "Medium"
    }, {
      value: "has-padding-top-large",
      label: "Large"
    }],
    onChange: paddingTop => {
      setAttributes({
        paddingTop
      });
    }
  })), /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.SelectControl, {
    label: "Padding at the bottom",
    value: paddingBottom,
    options: [{
      value: "has-padding-bottom-none",
      label: "None"
    }, {
      value: "has-padding-bottom-small",
      label: "Small"
    }, {
      value: "",
      label: "Medium"
    }, {
      value: "has-padding-bottom-large",
      label: "Large"
    }],
    onChange: paddingBottom => {
      setAttributes({
        paddingBottom
      });
    }
  })), /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.SelectControl, {
    label: "Order posts by",
    value: orderBy,
    options: [{
      value: "date",
      label: "Date"
    }, {
      value: "title",
      label: "Title"
    }, {
      value: "meta",
      label: "Meta field"
    }],
    onChange: orderBy => {
      setAttributes({
        orderBy
      });
    }
  })), /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.CheckboxControl, {
    label: "Show Excerpt on the cards?",
    checked: showExcerpt,
    onChange: () => {
      setAttributes({
        showExcerpt: !showExcerpt
      });
    }
  })), /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.CheckboxControl, {
    label: "Show Date on the cards?",
    checked: showDate,
    onChange: () => {
      setAttributes({
        showDate: !showDate
      });
    }
  })), /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.CheckboxControl, {
    label: "Show thumbnail on the cards?",
    checked: showThumbnail,
    onChange: () => {
      setAttributes({
        showThumbnail: !showThumbnail
      });
    }
  })), /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.TextControl, {
    label: "HTML Anchor",
    help: "Enter a word without spaces to make a unique web address just for this block, called an \u201Canchor.\u201D It must be unique from any other anchors on the page. Then, you\u2019ll be able to link directly to this section of your page.",
    value: id,
    onChange: id => setAttributes({
      id
    })
  }))), /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelBody, {
    initialOpen: false,
    key: "2",
    title: `Select Posts`
  }, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.ToggleControl, {
    label: "Post Types",
    checked: hasSelectedPostType,
    help: hasSelectedPostType ? "Choose by post types" : "Include all post types",
    onChange: hasSelectedPostType => {
      setAttributes({
        hasSelectedPostType
      });
    }
  })), hasSelectedPostType ? /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.SelectControl, {
    multiple: true,
    label: "Choose Post Types",
    value: selectedPostType,
    options: postType,
    onChange: selectedPostType => {
      setAttributes({
        selectedPostType
      });
    }
  })) : "", /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.ToggleControl, {
    label: "Categories",
    checked: hasSelectedCatTerms,
    help: hasSelectedCatTerms ? "Choose by categories" : "Include all categories",
    onChange: hasSelectedCatTerms => {
      setAttributes({
        hasSelectedCatTerms
      });
    }
  })), hasSelectedCatTerms ? /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.SelectControl, {
    multiple: true,
    label: "Choose Categories",
    value: selectedCatTerms,
    options: catTerms,
    onChange: selectedCatTerms => {
      setAttributes({
        selectedCatTerms
      });
    }
  })) : "", /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.ToggleControl, {
    label: "Taxonomies",
    checked: hasSelectedTax,
    help: hasSelectedTax ? "Choose by taxonomies" : "Include all taxonomies",
    onChange: hasSelectedTax => {
      setAttributes({
        hasSelectedTax
      });
    }
  })), hasSelectedTax && taxes.length === 0 ? /*#__PURE__*/React.createElement("p", {
    style: {
      fontSize: "14px",
      color: "red",
      marginBottom: "16px"
    }
  }, "No taxonomy found!") : "", hasSelectedTax ? /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.SelectControl, {
    multiple: true,
    label: "Choose Taxonomies",
    value: selectedTaxTerms,
    options: taxTerms.map(item => {
      return {
        label: `${item.taxonomy}: ${item.label}`,
        value: `${item.taxonomy_slug}::${item.value}`
      };
    }),
    onChange: selectedTaxTerms => {
      setAttributes({
        selectedTaxTerms
      });
    }
  })) : "", /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.CheckboxControl, {
    label: "Add a Post Type Tag?",
    help: "Optional tag to show on the cards",
    checked: postTypeTag,
    onChange: () => {
      setAttributes({
        postTypeTag: !postTypeTag
      });
    }
  })), /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.SelectControl, {
    label: "Add a Taxonomy Tag",
    help: "Optional tag to show on the cards",
    value: selectedTax,
    options: [...[{
      label: "Select one...",
      value: ""
    }], ...[{
      label: "Category",
      value: "category"
    }], ...taxes],
    onChange: selectedTax => {
      setAttributes({
        selectedTax
      });
    }
  })), blockType !== "all" ? /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.TextControl, {
    label: "Exclude a category (add category slug here)",
    onChange: excludeCat => {
      setAttributes({
        excludeCat
      });
    },
    value: excludeCat
  })) : ""), blockType === "all" ? /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelBody, {
    initialOpen: false,
    key: "3",
    title: `Add Filters`
  }, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.CheckboxControl, {
    label: "Add a Post Type filter?",
    checked: addPostTypeFilter,
    onChange: () => {
      setAttributes({
        addPostTypeFilter: !addPostTypeFilter
      });
    }
  })), addPostTypeFilter ? /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.TextControl, {
    label: "Add a name for the post type filter",
    onChange: postTypeFilterName => {
      setAttributes({
        postTypeFilterName
      });
    },
    value: postTypeFilterName
  })) : "", /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.CheckboxControl, {
    label: "Add a Category filter?",
    checked: addCatFilter,
    onChange: () => {
      setAttributes({
        addCatFilter: !addCatFilter
      });
    }
  })), addCatFilter ? /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.TextControl, {
    label: "Add a name for the category filter",
    onChange: catFilterName => {
      setAttributes({
        catFilterName
      });
    },
    value: catFilterName
  })) : "", /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.CheckboxControl, {
    label: "Add an order filter",
    checked: addOrderFilter,
    onChange: () => {
      setAttributes({
        addOrderFilter: !addOrderFilter
      });
    }
  })), /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.CheckboxControl, {
    label: "Add a search box?",
    checked: addSearch,
    onChange: () => {
      setAttributes({
        addSearch: !addSearch
      });
    }
  })), /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.CheckboxControl, {
    label: "Add taxonomy filters?",
    checked: addTaxFilter,
    onChange: () => {
      setAttributes({
        addTaxFilter: !addTaxFilter
      });
    }
  })), addTaxFilter && taxes.length === 0 && taxTerms.length === 0 ? /*#__PURE__*/React.createElement("p", {
    style: {
      fontSize: "14px",
      color: "red",
      marginBottom: "16px"
    }
  }, "No taxonomy found!") : "", addTaxFilter ? /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.SelectControl, {
    multiple: true,
    label: "Choose the Taxonomies filters",
    value: selectedTaxFilters,
    options: taxes,
    onChange: selectedTaxFilters => setAttributes({
      selectedTaxFilters
    })
  })) : "", /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, /*#__PURE__*/React.createElement(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.CheckboxControl, {
    label: "Add Year and Month filters?",
    checked: addYearFilter,
    onChange: () => {
      setAttributes({
        addYearFilter: !addYearFilter
      });
    }
  }))) : ""), /*#__PURE__*/React.createElement("div", _extends({}, blockProps, {
    key: "2"
  }), /*#__PURE__*/React.createElement((_wordpress_server_side_render__WEBPACK_IMPORTED_MODULE_3___default()), {
    block: "purdue/post-grid",
    attributes: {
      blockType,
      linkText,
      linkURL,
      external,
      cardType,
      header,
      orderBy,
      showExcerpt,
      showDate,
      showThumbnail,
      hasSelectedPostType,
      hasSelectedTax,
      hasSelectedCatTerms,
      selectedPostType,
      selectedTax,
      postTypeTag,
      selectedTaxTerms,
      selectedTaxFilters,
      selectedCatTerms,
      excludeCat,
      addTaxFilter,
      addCatFilter,
      addPostTypeFilter,
      addOrderFilter,
      addSearch,
      addYearFilter,
      postTypeFilterName,
      catFilterName,
      postsPerPage,
      columns,
      headerStyle,
      buttonText,
      background,
      paddingTop,
      paddingBottom
    }
  }))];
};
/* harmony default export */ __webpack_exports__["default"] = (edit);

/***/ }),

/***/ "./src/blocks/post-grid/icon.js":
/*!**************************************!*\
  !*** ./src/blocks/post-grid/icon.js ***!
  \**************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @wordpress/primitives */ "@wordpress/primitives");
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_0__);

const icon = () => /*#__PURE__*/React.createElement(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_0__.SVG, {
  id: "Layer_1",
  "data-name": "Layer 1",
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 100 100"
}, /*#__PURE__*/React.createElement("defs", null), /*#__PURE__*/React.createElement("g", {
  id: "clone",
  className: "cls-1"
}, /*#__PURE__*/React.createElement("g", {
  className: "cls-1"
}, /*#__PURE__*/React.createElement(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_0__.Path, {
  className: "cls-2",
  d: "M100,9.38V71.87a9.38,9.38,0,0,1-9.37,9.38H81.25v9.37A9.38,9.38,0,0,1,71.87,100H9.37A9.38,9.38,0,0,1,0,90.62V28.13a9.38,9.38,0,0,1,9.37-9.38h9.38V9.38A9.38,9.38,0,0,1,28.12,0H90.63A9.38,9.38,0,0,1,100,9.38ZM71.87,89.45v-8.2H28.12a9.38,9.38,0,0,1-9.37-9.38V28.13h-8.2A1.17,1.17,0,0,0,9.37,29.3V89.45a1.17,1.17,0,0,0,1.18,1.17H70.7A1.17,1.17,0,0,0,71.87,89.45ZM90.63,70.7V10.55a1.17,1.17,0,0,0-1.18-1.17H29.3a1.17,1.17,0,0,0-1.18,1.17V70.7a1.17,1.17,0,0,0,1.18,1.17H89.45A1.17,1.17,0,0,0,90.63,70.7Z",
  transform: "translate(0 0)"
}))));
/* harmony default export */ __webpack_exports__["default"] = (icon);

/***/ }),

/***/ "./src/blocks/post-grid/index.js":
/*!***************************************!*\
  !*** ./src/blocks/post-grid/index.js ***!
  \***************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _wordpress_blocks__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @wordpress/blocks */ "@wordpress/blocks");
/* harmony import */ var _wordpress_blocks__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_blocks__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _style_scss__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./style.scss */ "./src/blocks/post-grid/style.scss");
/* harmony import */ var _edit__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./edit */ "./src/blocks/post-grid/edit.js");
/* harmony import */ var _block_json__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./block.json */ "./src/blocks/post-grid/block.json");
/* harmony import */ var _icon__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./icon */ "./src/blocks/post-grid/icon.js");





(0,_wordpress_blocks__WEBPACK_IMPORTED_MODULE_0__.registerBlockType)(_block_json__WEBPACK_IMPORTED_MODULE_3__.name, {
  icon: _icon__WEBPACK_IMPORTED_MODULE_4__["default"],
  edit: _edit__WEBPACK_IMPORTED_MODULE_2__["default"]
});

/***/ }),

/***/ "./src/blocks/post-grid/style.scss":
/*!*****************************************!*\
  !*** ./src/blocks/post-grid/style.scss ***!
  \*****************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
// extracted by mini-css-extract-plugin


/***/ }),

/***/ "@wordpress/block-editor":
/*!*************************************!*\
  !*** external ["wp","blockEditor"] ***!
  \*************************************/
/***/ (function(module) {

module.exports = window["wp"]["blockEditor"];

/***/ }),

/***/ "@wordpress/blocks":
/*!********************************!*\
  !*** external ["wp","blocks"] ***!
  \********************************/
/***/ (function(module) {

module.exports = window["wp"]["blocks"];

/***/ }),

/***/ "@wordpress/components":
/*!************************************!*\
  !*** external ["wp","components"] ***!
  \************************************/
/***/ (function(module) {

module.exports = window["wp"]["components"];

/***/ }),

/***/ "@wordpress/i18n":
/*!******************************!*\
  !*** external ["wp","i18n"] ***!
  \******************************/
/***/ (function(module) {

module.exports = window["wp"]["i18n"];

/***/ }),

/***/ "@wordpress/primitives":
/*!************************************!*\
  !*** external ["wp","primitives"] ***!
  \************************************/
/***/ (function(module) {

module.exports = window["wp"]["primitives"];

/***/ }),

/***/ "@wordpress/server-side-render":
/*!******************************************!*\
  !*** external ["wp","serverSideRender"] ***!
  \******************************************/
/***/ (function(module) {

module.exports = window["wp"]["serverSideRender"];

/***/ }),

/***/ "./src/blocks/post-grid/block.json":
/*!*****************************************!*\
  !*** ./src/blocks/post-grid/block.json ***!
  \*****************************************/
/***/ (function(module) {

module.exports = /*#__PURE__*/JSON.parse('{"$schema":"https://schemas.wp.org/trunk/block.json","apiVersion":3,"name":"purdue/post-grid","version":"1.1.01","title":"Post Archive Grid","category":"purdue","description":"This block adds a grid of posts with optional filters. Currently support post type, category, and one taxonomy.","supports":{"html":false},"attributes":{"blockType":{"type":"string","default":"all"},"linkText":{"type":"string","default":"View More"},"linkURL":{"type":"string","default":""},"external":{"type":"boolean","default":true},"background":{"type":"string","default":"none"},"orderBy":{"type":"string","default":"date"},"showExcerpt":{"type":"boolean","default":true},"showDate":{"type":"boolean","default":false},"showThumbnail":{"type":"boolean","default":true},"header":{"type":"string","default":""},"cardType":{"type":"string","default":"story"},"hasSelectedPostType":{"type":"boolean","default":true},"hasSelectedTax":{"type":"boolean","default":true},"hasSelectedCatTerms":{"type":"boolean","default":true},"selectedPostType":{"type":"array","default":[]},"postTypeTag":{"type":"boolean","default":false},"selectedTax":{"type":"string","default":""},"selectedTaxTerms":{"type":"array","default":[]},"selectedTaxFilters":{"type":"array","default":[]},"selectedCatTerms":{"type":"array","default":[]},"excludeCat":{"type":"string","default":""},"addTaxFilter":{"type":"boolean","default":false},"addCatFilter":{"type":"boolean","default":false},"addPostTypeFilter":{"type":"boolean","default":false},"addOrderFilter":{"type":"boolean","default":false},"addSearch":{"type":"boolean","default":false},"addYearFilter":{"type":"boolean","default":false},"postTypeFilterName":{"type":"string","default":""},"catFilterName":{"type":"string","default":""},"postsPerPage":{"type":"string","default":"3"},"columns":{"type":"string","default":"3"},"headerStyle":{"type":"string","default":"simple"},"buttonText":{"type":"string","default":"Learn More"},"paddingTop":{"type":"string","default":""},"paddingBottom":{"type":"string","default":""},"id":{"type":"string","default":""},"className":{"type":"string","default":""}},"textdomain":"post-grid","editorScript":"file:./index.js","style":"file:./style-index.css","viewScript":"file:./frontend.js","render":"file:./render.php"}');

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = __webpack_modules__;
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/chunk loaded */
/******/ 	!function() {
/******/ 		var deferred = [];
/******/ 		__webpack_require__.O = function(result, chunkIds, fn, priority) {
/******/ 			if(chunkIds) {
/******/ 				priority = priority || 0;
/******/ 				for(var i = deferred.length; i > 0 && deferred[i - 1][2] > priority; i--) deferred[i] = deferred[i - 1];
/******/ 				deferred[i] = [chunkIds, fn, priority];
/******/ 				return;
/******/ 			}
/******/ 			var notFulfilled = Infinity;
/******/ 			for (var i = 0; i < deferred.length; i++) {
/******/ 				var chunkIds = deferred[i][0];
/******/ 				var fn = deferred[i][1];
/******/ 				var priority = deferred[i][2];
/******/ 				var fulfilled = true;
/******/ 				for (var j = 0; j < chunkIds.length; j++) {
/******/ 					if ((priority & 1 === 0 || notFulfilled >= priority) && Object.keys(__webpack_require__.O).every(function(key) { return __webpack_require__.O[key](chunkIds[j]); })) {
/******/ 						chunkIds.splice(j--, 1);
/******/ 					} else {
/******/ 						fulfilled = false;
/******/ 						if(priority < notFulfilled) notFulfilled = priority;
/******/ 					}
/******/ 				}
/******/ 				if(fulfilled) {
/******/ 					deferred.splice(i--, 1)
/******/ 					var r = fn();
/******/ 					if (r !== undefined) result = r;
/******/ 				}
/******/ 			}
/******/ 			return result;
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	!function() {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = function(module) {
/******/ 			var getter = module && module.__esModule ?
/******/ 				function() { return module['default']; } :
/******/ 				function() { return module; };
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	!function() {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = function(exports, definition) {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	!function() {
/******/ 		__webpack_require__.o = function(obj, prop) { return Object.prototype.hasOwnProperty.call(obj, prop); }
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	!function() {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = function(exports) {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/jsonp chunk loading */
/******/ 	!function() {
/******/ 		// no baseURI
/******/ 		
/******/ 		// object to store loaded and loading chunks
/******/ 		// undefined = chunk not loaded, null = chunk preloaded/prefetched
/******/ 		// [resolve, reject, Promise] = chunk loading, 0 = chunk loaded
/******/ 		var installedChunks = {
/******/ 			"blocks/post-grid/index": 0,
/******/ 			"blocks/post-grid/style-index": 0
/******/ 		};
/******/ 		
/******/ 		// no chunk on demand loading
/******/ 		
/******/ 		// no prefetching
/******/ 		
/******/ 		// no preloaded
/******/ 		
/******/ 		// no HMR
/******/ 		
/******/ 		// no HMR manifest
/******/ 		
/******/ 		__webpack_require__.O.j = function(chunkId) { return installedChunks[chunkId] === 0; };
/******/ 		
/******/ 		// install a JSONP callback for chunk loading
/******/ 		var webpackJsonpCallback = function(parentChunkLoadingFunction, data) {
/******/ 			var chunkIds = data[0];
/******/ 			var moreModules = data[1];
/******/ 			var runtime = data[2];
/******/ 			// add "moreModules" to the modules object,
/******/ 			// then flag all "chunkIds" as loaded and fire callback
/******/ 			var moduleId, chunkId, i = 0;
/******/ 			if(chunkIds.some(function(id) { return installedChunks[id] !== 0; })) {
/******/ 				for(moduleId in moreModules) {
/******/ 					if(__webpack_require__.o(moreModules, moduleId)) {
/******/ 						__webpack_require__.m[moduleId] = moreModules[moduleId];
/******/ 					}
/******/ 				}
/******/ 				if(runtime) var result = runtime(__webpack_require__);
/******/ 			}
/******/ 			if(parentChunkLoadingFunction) parentChunkLoadingFunction(data);
/******/ 			for(;i < chunkIds.length; i++) {
/******/ 				chunkId = chunkIds[i];
/******/ 				if(__webpack_require__.o(installedChunks, chunkId) && installedChunks[chunkId]) {
/******/ 					installedChunks[chunkId][0]();
/******/ 				}
/******/ 				installedChunks[chunkId] = 0;
/******/ 			}
/******/ 			return __webpack_require__.O(result);
/******/ 		}
/******/ 		
/******/ 		var chunkLoadingGlobal = self["webpackChunkpurdue_home_theme"] = self["webpackChunkpurdue_home_theme"] || [];
/******/ 		chunkLoadingGlobal.forEach(webpackJsonpCallback.bind(null, 0));
/******/ 		chunkLoadingGlobal.push = webpackJsonpCallback.bind(null, chunkLoadingGlobal.push.bind(chunkLoadingGlobal));
/******/ 	}();
/******/ 	
/************************************************************************/
/******/ 	
/******/ 	// startup
/******/ 	// Load entry module and return exports
/******/ 	// This entry module depends on other loaded chunks and execution need to be delayed
/******/ 	var __webpack_exports__ = __webpack_require__.O(undefined, ["blocks/post-grid/style-index"], function() { return __webpack_require__("./src/blocks/post-grid/index.js"); })
/******/ 	__webpack_exports__ = __webpack_require__.O(__webpack_exports__);
/******/ 	
/******/ })()
;
//# sourceMappingURL=index.js.map